View Issue Details

IDProjectCategoryView StatusLast Update
0036011FPCDocumentationpublic2019-08-26 00:51
ReporterDon SidersAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.0.4Product Buildr60954 
Target VersionFixed in Version3.3.1 
Summary0036011: Updated documentation for dateutils.xml in RTL
DescriptionUpdated documentation in dateutils.xml.

* Added missing topics and content for ISO 8601 conversion.
* Fixed miscellaneous typos.

See attached dateutils.xml.diff
TagsNo tags attached.
Fixed in Revision1641
FPCOldBugId
FPCTarget3.2.0
Attached Files
  • dateutils.xml.diff (92,001 bytes)
    Index: dateutils.xml
    ===================================================================
    --- dateutils.xml	(revision 1640)
    +++ dateutils.xml	(working copy)
    @@ -117,7 +117,7 @@
     
     <!-- constant Visibility: default -->
     <element name="DaysPerYear">
    -<short>Array with number of days in a year. The boolean index indicates whether it is a leap year or not.</short>
    +<short>Array with number of days in a year. The Boolean index indicates whether it is a leap year or not.</short>
     </element>
     
     <!-- constant Visibility: default -->
    @@ -137,7 +137,7 @@
     
     <!-- function Visibility: default -->
     <element name="DateOf">
    -<short>Extract the date part from a DateTime indication.</short>
    +<short>Extract the date part from a TDateTime indication.</short>
     <descr>
     <p>
     <var>DateOf</var> extracts the date part from <var>AValue</var> and returns
    @@ -169,12 +169,12 @@
     
     <!-- argument Visibility: default -->
     <element name="DateOf.AValue">
    -<short>Datetime to extract date from</short>
    +<short>TDateTime to extract date from</short>
     </element>
     
     <!-- function Visibility: default -->
     <element name="TimeOf">
    -<short>Extract the time part from a DateTime indication.</short>
    +<short>Extract the time part from a TDateTime indication.</short>
     <descr>
     <p>
     <var>TimeOf</var> extracts the time part from <var>AValue</var> and returns
    @@ -206,7 +206,7 @@
     
     <!-- argument Visibility: default -->
     <element name="TimeOf.AValue">
    -<short>Datetime to extract time from</short>
    +<short>TDateTime to extract time from</short>
     </element>
     
     <!-- function Visibility: default -->
    @@ -213,7 +213,7 @@
     <element name="IsInLeapYear">
     <short>Determine whether a date is in a leap year.</short>
     <descr>
    -<var>IsInLeapYear</var> returns <var>True</var> if the year part of <var>AValue</var> 
    +<var>IsInLeapYear</var> returns <var>True</var> if the year part of <var>AValue</var>
     is leap year, or <var>False</var> if not.
     </descr>
     <seealso>
    @@ -358,8 +358,8 @@
     <p>
     <var>IsValidTime</var> returns <var>True</var> when the values
     <var>AYear</var>, <var>AMonth</var>, <var>ADay</var>,
    -<var>AHour</var>, <var>AMinute</var>, <var>ASecond</var> 
    -and <var>AMilliSecond</var> form a valid date and time indication. 
    +<var>AHour</var>, <var>AMinute</var>, <var>ASecond</var>
    +and <var>AMilliSecond</var> form a valid date and time indication.
     If one of the values is not valid (e.g. the seconds are larger than 60), <var>False</var> is returned.
     </p>
     <p>
    @@ -464,7 +464,7 @@
     <descr>
     <p>
     <var>IsValidDateWeek</var> returns <var>True</var> if <var>AYear</var>,
    -<var>AWeekOfYear</var> and <var>ADayOfWeek</var> form a valid date indication, 
    +<var>AWeekOfYear</var> and <var>ADayOfWeek</var> form a valid date indication,
     or <var>False</var> otherwise.
     </p>
     <p>
    @@ -511,7 +511,7 @@
     <descr>
     <p>
     <var>IsValidDateMonthWeek</var> returns <var>True</var> if <var>AYear</var>,
    -<var>AMonth</var> <var>AWeekOfMonth</var> and <var>ADayOfWeek</var> form a valid date indication, 
    +<var>AMonth</var> <var>AWeekOfMonth</var> and <var>ADayOfWeek</var> form a valid date indication,
     or <var>False</var> otherwise.
     </p>
     <p>
    @@ -569,7 +569,7 @@
     <remark>
     The first week of the year is determined according to the ISO 8601 standard:
     It is the first week that has at least 4 days in it, i.e. it includes a
    -thursday.
    +Thursday.
     </remark>
     </descr>
     <seealso>
    @@ -603,7 +603,7 @@
     <remark>
     The first week of the year is determined according to the ISO 8601 standard:
     It is the first week that has at least 4 days in it, i.e. it includes a
    -thursday.
    +Thursday.
     </remark>
     </descr>
     <seealso>
    @@ -660,7 +660,7 @@
     <short>Number of days in a particular year.</short>
     <descr>
     <p>
    -<var>DaysInAYear</var> returns the number of weeks in the year 
    +<var>DaysInAYear</var> returns the number of weeks in the year
     <var>AYear</var>. The return value is either 365 or 366.
     </p>
     </descr>
    @@ -719,7 +719,7 @@
     <descr>
     <p>
     <var>DaysInYMonth</var> returns the number of days in the month
    -<var>AMonth</var> in the year<var>AYear</var>. 
    +<var>AMonth</var> in the year<var>AYear</var>.
     The return value takes leap years into account.
     </p>
     </descr>
    @@ -997,7 +997,7 @@
     
     <!-- function Visibility: default -->
     <element name="DayOf">
    -<short>Extract the day (of month) part from a DateTime value</short>
    +<short>Extract the day (of month) part from a TDateTime value</short>
     <descr>
     <p>
     <var>DayOf</var> returns the day of the month part of the <var>AValue</var> date/time
    @@ -1030,7 +1030,7 @@
     
     <!-- function Visibility: default -->
     <element name="HourOf">
    -<short>Extract the hour part from a DateTime value.</short>
    +<short>Extract the hour part from a TDateTime value.</short>
     <descr>
     <p>
     <var>HourOf</var> returns the hour of the day  part of the <var>AValue</var> date/time
    @@ -1063,7 +1063,7 @@
     
     <!-- function Visibility: default -->
     <element name="MinuteOf">
    -<short>Extract the minute part from a DateTime value.</short>
    +<short>Extract the minute part from a TDateTime value.</short>
     <descr>
     <p>
     <var>MinuteOf</var> returns the minute of the hour part of the <var>AValue</var> date/time
    @@ -1096,7 +1096,7 @@
     
     <!-- function Visibility: default -->
     <element name="SecondOf">
    -<short>Extract the second part from a DateTime value.</short>
    +<short>Extract the second part from a TDateTime value.</short>
     <descr>
     <p>
     <var>SecondOf</var> returns the second of the minute part of the <var>AValue</var> date/time
    @@ -1129,7 +1129,7 @@
     
     <!-- function Visibility: default -->
     <element name="MilliSecondOf">
    -<short>Extract the millisecond part from a DateTime value.</short>
    +<short>Extract the millisecond part from a TDateTime value.</short>
     <descr>
     <p>
     <var>MillisecondOf</var> returns the second of the minute part of the <var>AValue</var> date/time
    @@ -1165,7 +1165,7 @@
     <short>Return the first day of the year, given a date in this year.</short>
     <descr>
     <var>StartOfTheYear</var> extracts the year part of <var>AValue</var> and
    -returns   a <var>TDateTime</var> value with the date of the first day of that year (January 1), as the 
    +returns   a <var>TDateTime</var> value with the date of the first day of that year (January 1), as the
     <link id="StartOfAYear"/> function.
     </descr>
     <seealso>
    @@ -1190,10 +1190,10 @@
     
     <!-- function Visibility: default -->
     <element name="EndOfTheYear">
    -<short>Calculate a DateTime value representing the last day of a year, given a date in that year.</short>
    +<short>Calculate a TDateTime value representing the last day of a year, given a date in that year.</short>
     <descr>
     <var>EndOfTheYear</var> extracts the year part of <var>AValue</var> and
    -returns  a <var>TDateTime</var> value with the date of the last day of that year (December 31), as the 
    +returns  a <var>TDateTime</var> value with the date of the last day of that year (December 31), as the
     <link id="EndOfAYear"/> function.
     </descr>
     <seealso>
    @@ -1210,7 +1210,7 @@
     
     <!-- function result Visibility: default -->
     <element name="EndOfTheYear.Result">
    -<short>DateTime value representing the end of the year in which <var>AValue</var> falls.</short>
    +<short>TDateTime value representing the end of the year in which <var>AValue</var> falls.</short>
     </element>
     
     <!-- argument Visibility: default -->
    @@ -1248,9 +1248,9 @@
     
     <!-- function Visibility: default -->
     <element name="EndOfAYear">
    -<short>Calculate a DateTime value representing the last day of a year</short>
    +<short>Calculate a TDateTime value representing the last day of a year</short>
     <descr>
    -<var>StartOfAYear</var> 
    +<var>StartOfAYear</var>
     returns a <var>TDateTime</var> value with the date of the last day of the year <var>AYear</var> (December 31).
     </descr>
     <seealso>
    @@ -1267,7 +1267,7 @@
     
     <!-- function result Visibility: default -->
     <element name="EndOfAYear.Result">
    -<short>DateTime representing the last day of <var>AYear</var>.</short>
    +<short>TDateTime representing the last day of <var>AYear</var>.</short>
     </element>
     
     <!-- argument Visibility: default -->
    @@ -1307,7 +1307,7 @@
     
     <!-- function Visibility: default -->
     <element name="EndOfTheMonth">
    -<short>Calculate a DateTime value representing the last day of the month, given a day in that month.</short>
    +<short>Calculate a TDateTime value representing the last day of the month, given a day in that month.</short>
     <descr>
     <var>EndOfTheMonth</var> extracts the year and month parts of <var>AValue</var> and
     returns  a <var>TDateTime</var> value with the date of the first day of that year
    @@ -1327,7 +1327,7 @@
     
     <!-- function result Visibility: default -->
     <element name="EndOfTheMonth.Result">
    -<short>DateTime value representing the last day of the month in which <var>AVAlue</var> is a day.</short>
    +<short>TDateTime value representing the last day of the month in which <var>AVAlue</var> is a day.</short>
     </element>
     
     <!-- argument Visibility: default -->
    @@ -1372,7 +1372,7 @@
     
     <!-- function Visibility: default -->
     <element name="EndOfAMonth">
    -<short>Calculate a datetime value representing the last day of the indicated month</short>
    +<short>Calculate a TDateTime value representing the last day of the indicated month</short>
     <descr>
     <var>EndOfAMonth</var> e
     returns  a <var>TDateTime</var> value with the date of the last day of the
    @@ -1392,7 +1392,7 @@
     
     <!-- function result Visibility: default -->
     <element name="EndOfAMonth.Result">
    -<short>DateTime value indicating the last day of <var>AMonth</var> in year <var>AYear</var>.</short>
    +<short>TDateTime value indicating the last day of <var>AMonth</var> in year <var>AYear</var>.</short>
     </element>
     
     <!-- argument Visibility: default -->
    @@ -1438,7 +1438,7 @@
     
     <!-- function Visibility: default -->
     <element name="EndOfTheWeek">
    -<short>Calculate a DateTime value which represents the end of a week, given a date in that week.</short>
    +<short>Calculate a TDateTime value which represents the end of a week, given a date in that week.</short>
     <descr>
     <var>EndOfTheWeek</var> extracts the year and week parts of <var>AValue</var> and
     returns  a <var>TDateTime</var> value with the date of the last day of that
    @@ -1459,7 +1459,7 @@
     
     <!-- function result Visibility: default -->
     <element name="EndOfTheWeek.Result">
    -<short>DateTime value representing the last day of the week in which <var>AVAlue</var> is a day.</short>
    +<short>TDateTime value representing the last day of the week in which <var>AVAlue</var> is a day.</short>
     </element>
     
     <!-- argument Visibility: default -->
    @@ -1472,7 +1472,7 @@
     <short>Return a day of the week, given a year, week and day in the week.</short>
     <descr>
     <p>
    -<var>StartOfAWeek</var> 
    +<var>StartOfAWeek</var>
     returns  a <var>TDateTime</var> value with the date of the indicated day of the
     week indicated by the <var>AYear</var>, <var>AWeek</var>,
     <var>ADayOfWeek</var> values.
    @@ -1520,7 +1520,7 @@
     <descr>
     <p>
     <var>EndOfAWeek</var> returns  a <var>TDateTime</var> value with the date of the
    -last moment (23:59:59:999) on the indicated day of the week indicated by the 
    +last moment (23:59:59:999) on the indicated day of the week indicated by the
     <var>AYear</var>, <var>AWeek</var>, <var>ADayOfWeek</var> values.
     </p>
     <p>
    @@ -1562,11 +1562,11 @@
     
     <!-- function Visibility: default -->
     <element name="StartOfTheDay">
    -<short>Calculate the start of the day as a DateTime value, given a moment in the day.</short>
    +<short>Calculate the start of the day as a TDateTime value, given a moment in the day.</short>
     <descr>
     <p>
     <var>StartOfTheDay</var> extracts the date part of <var>AValue</var> and
    -returns a <var>TDateTime</var> value with the date/time indication of 
    +returns a <var>TDateTime</var> value with the date/time indication of
     the start (0:0:0.000) of this day.
     </p>
     </descr>
    @@ -1590,21 +1590,21 @@
     
     <!-- function result Visibility: default -->
     <element name="StartOfTheDay.Result">
    -<short>Start of the day (00:00) as DateTime value</short>
    +<short>Start of the day (00:00) as TDateTime value</short>
     </element>
     
     <!-- argument Visibility: default -->
     <element name="StartOfTheDay.AValue">
    -<short>DateTime from which to calculate start of the day.</short>
    +<short>TDateTime from which to calculate start of the day.</short>
     </element>
     
     <!-- function Visibility: default -->
     <element name="EndOfTheDay">
    -<short>Calculate a datetime value that represents the end of a given day.</short>
    +<short>Calculate a TDateTime value that represents the end of a given day.</short>
     <descr>
     <p>
     <var>EndOfTheDay</var> extracts the date part of <var>AValue</var> and
    -returns a <var>TDateTime</var> value with the date/time indication of 
    +returns a <var>TDateTime</var> value with the date/time indication of
     the last moment (23:59:59.999) of this day.
     </p>
     </descr>
    @@ -1628,7 +1628,7 @@
     
     <!-- function result Visibility: default -->
     <element name="EndOfTheDay.Result">
    -<short>A datetime value representing the time 23:59:59.999 of the day <var>AValue</var>.</short>
    +<short>A TDateTime value representing the time 23:59:59.999 of the day <var>AValue</var>.</short>
     </element>
     
     <!-- argument Visibility: default -->
    @@ -1638,11 +1638,11 @@
     
     <!-- function Visibility: default -->
     <element name="StartOfADay">
    -<short>Return the start of a day as a DateTime value, given a day indication</short>
    +<short>Return the start of a day as a TDateTime value, given a day indication</short>
     <descr>
     <p>
    -<var>StartOfADay</var> 
    -returns a <var>TDateTime</var> value with the date/time indication of 
    +<var>StartOfADay</var>
    +returns a <var>TDateTime</var> value with the date/time indication of
     the start (0:0:0.000) of the day given by <var>AYear</var>,
     <var>AMonth</var>, <var>ADay</var>.
     </p>
    @@ -1670,7 +1670,7 @@
     
     <!-- function result Visibility: default -->
     <element name="StartOfADay.Result">
    -<short>Start of the given day as DateTime</short>
    +<short>Start of the given day as TDateTime</short>
     </element>
     
     <!-- argument Visibility: default -->
    @@ -1695,11 +1695,11 @@
     
     <!-- function Visibility: default -->
     <element name="EndOfADay">
    -<short>Calculates a DateTime value representing the end of a specified day</short>
    +<short>Calculates a TDateTime value representing the end of a specified day</short>
     <descr>
     <p>
    -<var>EndOfADay</var> 
    -returns a <var>TDateTime</var> value with the date/time indication of 
    +<var>EndOfADay</var>
    +returns a <var>TDateTime</var> value with the date/time indication of
     the last moment  (23:59:59.999) of the day given by <var>AYear</var>,
     <var>AMonth</var>, <var>ADay</var>.
     </p>
    @@ -1727,7 +1727,7 @@
     
     <!-- function result Visibility: default -->
     <element name="EndOfADay.Result">
    -<short>A datetime value representing the time 23:59:59.999 of the given day.</short>
    +<short>A TDateTime value representing the time 23:59:59.999 of the given day.</short>
     </element>
     
     <!-- argument Visibility: default -->
    @@ -1752,7 +1752,7 @@
     
     <!-- function Visibility: default -->
     <element name="MonthOfTheYear">
    -<short>Extract the month of a DateTime indication.</short>
    +<short>Extract the month of a TDateTime indication.</short>
     <descr>
     <p>
     <var>MonthOfTheYear</var> extracts the month part of <var>Avalue</var> and
    @@ -1786,7 +1786,7 @@
     
     <!-- function Visibility: default -->
     <element name="WeekOfTheYear">
    -<short>Extract the week of the year (and optionally year) of a DateTime indication.</short>
    +<short>Extract the week of the year (and optionally year) of a TDateTime indication.</short>
     <descr>
     <p>
     <var>WeekOfTheYear</var> extracts the week of the year from <var>Avalue</var> and
    @@ -1793,7 +1793,7 @@
     returns it, and optionally returns the year as well. It returns the same value as <link id="WeekOf"/>.
     </p>
     <remark>
    -Note that weeks are numbered from 1 using the ISO 8601 standard, and the day of the week as well. 
    +Note that weeks are numbered from 1 using the ISO 8601 standard, and the day of the week as well.
     This means that the year may not be the same as the year part of the date, since the week may
     start in the previous year as the first week of the year is the week with at
     least 4 days in it.
    @@ -1857,7 +1857,7 @@
     
     <!-- argument Visibility: default -->
     <element name="DayOfTheYear.AValue">
    -<short>DateTime to extract the day of the year from.</short>
    +<short>TDateTime to extract the day of the year from.</short>
     </element>
     
     <!-- function Visibility: default -->
    @@ -1867,7 +1867,7 @@
     <p>
     <var>HourOfTheYear</var> returns the number of hours that have passed since
     the start of the year (January 1, 00:00:00) till the moment indicated by
    -<var>AValue</var>. This is a zero-based number, i.e. 
    +<var>AValue</var>. This is a zero-based number, i.e.
     January 1 00:59:59 will return 0.
     </p>
     <p>
    @@ -1890,7 +1890,7 @@
     
     <!-- argument Visibility: default -->
     <element name="HourOfTheYear.AValue">
    -<short>DateTime value for which to calculate the hour of the year</short>
    +<short>TDateTime value for which to calculate the hour of the year</short>
     </element>
     
     <!-- function Visibility: default -->
    @@ -1900,7 +1900,7 @@
     <p>
     <var>MinuteOfTheYear</var> returns the number of minutes that have passed since
     the start of the year (January 1, 00:00:00) till the moment indicated by
    -<var>AValue</var>. This is a zero-based number, i.e. 
    +<var>AValue</var>. This is a zero-based number, i.e.
     January 1 00:00:59 will return 0.
     </p>
     <p>
    @@ -1934,7 +1934,7 @@
     <p>
     <var>SecondOfTheYear</var> returns the number of seconds that have passed since
     the start of the year (January 1, 00:00:00) till the moment indicated by
    -<var>AValue</var>. This is a zero-based number, i.e. 
    +<var>AValue</var>. This is a zero-based number, i.e.
     January 1 00:00:00.999 will return 0.
     </p>
     <p>
    @@ -1968,7 +1968,7 @@
     <p>
     <var>MilliSecondOfTheYear</var> returns the number of milliseconds that have passed since
     the start of the year (January 1, 00:00:00.000) till the moment indicated by
    -<var>AValue</var>. This is a zero-based number, i.e. 
    +<var>AValue</var>. This is a zero-based number, i.e.
     January 1 00:00:00.000 will return 0.
     </p>
     <p>
    @@ -1997,15 +1997,15 @@
     
     <!-- function Visibility: default -->
     <element name="WeekOfTheMonth">
    -<short>Extract the week of the month (and optionally month and year) from a DateTime value</short>
    +<short>Extract the week of the month (and optionally month and year) from a TDateTime value</short>
     <descr>
     <p>
     <var>WeekOfTheMonth</var> extracts the week of the month from <var>Avalue</var> and
     returns it, and optionally returns the year and month as well (in
    -<var>AYear</var>, <var>AMonth</var> respectively). 
    +<var>AYear</var>, <var>AMonth</var> respectively).
     </p>
     <remark>
    -Note that weeks are numbered from 1 using the ISO 8601 standard, and the day of the week as well. 
    +Note that weeks are numbered from 1 using the ISO 8601 standard, and the day of the week as well.
     This means that the year and month may not be the same as the year part of the date, since the week may
     start in the previous year as the first week of the year is the week with at least 4 days in it.
     </remark>
    @@ -2028,7 +2028,7 @@
     
     <!-- argument Visibility: default -->
     <element name="WeekOfTheMonth.AValue">
    -<short>Datetime value of which to calculate the week, month and year.</short>
    +<short>TDateTime value of which to calculate the week, month and year.</short>
     </element>
     
     <!-- argument Visibility: default -->
    @@ -2043,7 +2043,7 @@
     
     <!-- function Visibility: default -->
     <element name="DayOfTheMonth">
    -<short>Extract the day (of month) part of a DateTime value</short>
    +<short>Extract the day (of month) part of a TDateTime value</short>
     <descr>
     <p>
     <var>DayOfTheMonth</var> returns the number of days that have passed since
    @@ -2072,7 +2072,7 @@
     
     <!-- argument Visibility: default -->
     <element name="DayOfTheMonth.AValue">
    -<short>Datetime value to extract day from.</short>
    +<short>TDateTime value to extract day from.</short>
     </element>
     
     <!-- function Visibility: default -->
    @@ -2082,7 +2082,7 @@
     <p>
     <var>HourOfTheMonth</var> returns the number of hours that have passed since
     the start of the month till the moment indicated by
    -<var>AValue</var>. This is a zero-based number, i.e. 
    +<var>AValue</var>. This is a zero-based number, i.e.
     00:59:59 on the first day of the month will return 0.
     </p>
     <p>
    @@ -2105,7 +2105,7 @@
     
     <!-- argument Visibility: default -->
     <element name="HourOfTheMonth.AValue">
    -<short>DateTime value for which to calculate the hour of the month.</short>
    +<short>TDateTime value for which to calculate the hour of the month.</short>
     </element>
     
     <!-- function Visibility: default -->
    @@ -2115,7 +2115,7 @@
     <p>
     <var>MinuteOfTheMonth</var> returns the number of minutes that have passed since
     the start of the Month (00:00:00) till the moment indicated by
    -<var>AValue</var>. This is a zero-based number, i.e. 
    +<var>AValue</var>. This is a zero-based number, i.e.
     00:00:59 on the first day of the month will return 0.
     </p>
     <p>
    @@ -2149,7 +2149,7 @@
     <p>
     <var>SecondOfTheMonth</var> returns the number of seconds that have passed since
     the start of the month (00:00:00) till the moment indicated by
    -<var>AValue</var>. This is a zero-based number, i.e. 
    +<var>AValue</var>. This is a zero-based number, i.e.
     00:00:00.999 on the first day of the month will return 0.
     </p>
     <p>
    @@ -2182,7 +2182,7 @@
     <p>
     <var>MilliSecondOfTheMonth</var> returns the number of milliseconds that have passed since
     the start of the month (00:00:00.000) till the moment indicated by
    -<var>AValue</var>. This is a zero-based number, i.e. 
    +<var>AValue</var>. This is a zero-based number, i.e.
     00:00:00.000  on the first of the month will return 0.
     </p>
     <p>
    @@ -2211,7 +2211,7 @@
     
     <!-- function Visibility: default -->
     <element name="DayOfTheWeek">
    -<short>Extracts the day of the week from a DateTime value</short>
    +<short>Extracts the day of the week from a TDateTime value</short>
     <descr>
     <p>
     <var>DayOfTheWeek</var> returns the number of days that have passed since
    @@ -2238,7 +2238,7 @@
     
     <!-- argument Visibility: default -->
     <element name="DayOfTheWeek.AValue">
    -<short>DateTime to extract the day of the week from.</short>
    +<short>TDateTime to extract the day of the week from.</short>
     </element>
     
     <!-- function Visibility: default -->
    @@ -2248,7 +2248,7 @@
     <p>
     <var>HourOfTheWeek</var> returns the number of hours that have passed since
     the start of the Week till the moment indicated by
    -<var>AValue</var>. This is a zero-based number, i.e. 
    +<var>AValue</var>. This is a zero-based number, i.e.
     00:59:59 on the first day of the week will return 0.
     </p>
     <p>
    @@ -2273,7 +2273,7 @@
     
     <!-- argument Visibility: default -->
     <element name="HourOfTheWeek.AValue">
    -<short>DateTime value for which to calculate the hour of the week.</short>
    +<short>TDateTime value for which to calculate the hour of the week.</short>
     </element>
     
     <!-- function Visibility: default -->
    @@ -2283,7 +2283,7 @@
     <p>
     <var>MinuteOfTheWeek</var> returns the number of minutes that have passed since
     the start of the week (00:00:00) till the moment indicated by
    -<var>AValue</var>. This is a zero-based number, i.e. 
    +<var>AValue</var>. This is a zero-based number, i.e.
     00:00:59 on the first day of the week will return 0.
     </p>
     <p>
    @@ -2319,7 +2319,7 @@
     <p>
     <var>SecondOfTheWeek</var> returns the number of seconds that have passed since
     the start of the week (00:00:00) till the moment indicated by
    -<var>AValue</var>. This is a zero-based number, i.e. 
    +<var>AValue</var>. This is a zero-based number, i.e.
     00:00:00.999 on the first day of the week will return 0.
     </p>
     <p>
    @@ -2356,7 +2356,7 @@
     <p>
     <var>MilliSecondOfTheWeek</var> returns the number of milliseconds that have passed since
     the start of the Week (00:00:00.000) till the moment indicated by
    -<var>AValue</var>. This is a zero-based number, i.e. 
    +<var>AValue</var>. This is a zero-based number, i.e.
     00:00:00.000  on the first of the Week will return 0.
     </p>
     <p>
    @@ -2389,12 +2389,12 @@
     
     <!-- function Visibility: default -->
     <element name="HourOfTheDay">
    -<short>Calculate the hour of a given DateTime value</short>
    +<short>Calculate the hour of a given TDateTime value</short>
     <descr>
     <p>
     <var>HourOfTheDay</var> returns the number of hours that have passed since
     the start of the day till the moment indicated by
    -<var>AValue</var>. This is a zero-based number, i.e. 
    +<var>AValue</var>. This is a zero-based number, i.e.
     00:59:59 will return 0.
     </p>
     </descr>
    @@ -2416,7 +2416,7 @@
     
     <!-- argument Visibility: default -->
     <element name="HourOfTheDay.AValue">
    -<short>DateTime to calculate the hour of.</short>
    +<short>TDateTime to calculate the hour of.</short>
     </element>
     
     <!-- function Visibility: default -->
    @@ -2426,7 +2426,7 @@
     <p>
     <var>MinuteOfTheDay</var> returns the number of minutes that have passed since
     the start of the Day (00:00:00) till the moment indicated by
    -<var>AValue</var>. This is a zero-based number, i.e. 
    +<var>AValue</var>. This is a zero-based number, i.e.
     00:00:59 will return 0.
     </p>
     <p>
    @@ -2461,7 +2461,7 @@
     <p>
     <var>SecondOfTheDay</var> returns the number of seconds that have passed since
     the start of the Day (00:00:00) till the moment indicated by
    -<var>AValue</var>. This is a zero-based number, i.e. 
    +<var>AValue</var>. This is a zero-based number, i.e.
     00:00:00.999 return 0.
     </p>
     <p>
    @@ -2497,7 +2497,7 @@
     <p>
     <var>MilliSecondOfTheDay</var> returns the number of milliseconds that have passed since
     the start of the Day (00:00:00.000) till the moment indicated by
    -<var>AValue</var>. This is a zero-based number, i.e. 
    +<var>AValue</var>. This is a zero-based number, i.e.
     00:00:00.000 will return 0.
     </p>
     <p>
    @@ -2534,7 +2534,7 @@
     <p>
     <var>MinuteOfTheHour</var> returns the number of minutes that have passed since
     the start of the Hour (HH:00:00) till the moment indicated by
    -<var>AValue</var>. This is a zero-based number, i.e. 
    +<var>AValue</var>. This is a zero-based number, i.e.
     HH:00:59 will return 0.
     </p>
     </descr>
    @@ -2566,7 +2566,7 @@
     <p>
     <var>SecondOfTheHour</var> returns the number of seconds that have passed since
     the start of the Hour (HH:00:00) till the moment indicated by
    -<var>AValue</var>. This is a zero-based number, i.e. 
    +<var>AValue</var>. This is a zero-based number, i.e.
     HH:00:00.999 return 0.
     </p>
     <p>
    @@ -2601,7 +2601,7 @@
     <p>
     <var>MilliSecondOfTheHour</var> returns the number of milliseconds that have passed since
     the start of the Hour (HH:00:00.000) till the moment indicated by
    -<var>AValue</var>. This is a zero-based number, i.e. 
    +<var>AValue</var>. This is a zero-based number, i.e.
     HH:00:00.000 will return 0.
     </p>
     <p>
    @@ -2637,7 +2637,7 @@
     <p>
     <var>SecondOfTheMinute</var> returns the number of seconds that have passed since
     the start of the minute (HH:MM:00) till the moment indicated by
    -<var>AValue</var>. This is a zero-based number, i.e. 
    +<var>AValue</var>. This is a zero-based number, i.e.
     HH:MM:00.999 return 0.
     </p>
     </descr>
    @@ -2669,7 +2669,7 @@
     <p>
     <var>MilliSecondOfTheMinute</var> returns the number of milliseconds that have passed since
     the start of the Minute (HH:MM:00.000) till the moment indicated by
    -<var>AValue</var>. This is a zero-based number, i.e. 
    +<var>AValue</var>. This is a zero-based number, i.e.
     HH:MM:00.000 will return 0.
     </p>
     <p>
    @@ -2705,7 +2705,7 @@
     <p>
     <var>MilliSecondOfTheSecond</var> returns the number of milliseconds that have passed since
     the start of the second (HH:MM:SS.000) till the moment indicated by
    -<var>AValue</var>. This is a zero-based number, i.e. 
    +<var>AValue</var>. This is a zero-based number, i.e.
     HH:MM:SS.000 will return 0.
     </p>
     </descr>
    @@ -2733,10 +2733,10 @@
     
     <!-- function Visibility: default -->
     <element name="WithinPastYears">
    -<short>Check whether two datetimes are only a number of years apart</short>
    +<short>Check whether two TDateTimes are only a number of years apart</short>
     <descr>
     <p>
    -<var>WithinPastYears</var> compares the timestamps <var>ANow</var> and <var>AThen</var> 
    +<var>WithinPastYears</var> compares the timestamps <var>ANow</var> and <var>AThen</var>
     and returns <var>True</var> if the difference between them is at most
     <var>AYears</var> years apart, or <var>False</var> if they are further
     apart.
    @@ -2783,10 +2783,10 @@
     
     <!-- function Visibility: default -->
     <element name="WithinPastMonths">
    -<short>Check whether two datetimes are only a number of months apart</short>
    +<short>Check whether two TDateTimes are only a number of months apart</short>
     <descr>
     <p>
    -<var>WithinPastMonths</var> compares the timestamps <var>ANow</var> and <var>AThen</var> 
    +<var>WithinPastMonths</var> compares the timestamps <var>ANow</var> and <var>AThen</var>
     and returns <var>True</var> if the difference between them is at most
     <var>AMonths</var> months apart, or <var>False</var> if they are further
     apart.
    @@ -2833,10 +2833,10 @@
     
     <!-- function Visibility: default -->
     <element name="WithinPastWeeks">
    -<short>Check whether two datetimes are only a number of weeks apart</short>
    +<short>Check whether two TDateTimes are only a number of weeks apart</short>
     <descr>
     <p>
    -<var>WithinPastWeeks</var> compares the timestamps <var>ANow</var> and <var>AThen</var> 
    +<var>WithinPastWeeks</var> compares the timestamps <var>ANow</var> and <var>AThen</var>
     and returns <var>True</var> if the difference between them is at most
     <var>AWeeks</var> weeks apart, or <var>False</var> if they are further
     apart.
    @@ -2883,10 +2883,10 @@
     
     <!-- function Visibility: default -->
     <element name="WithinPastDays">
    -<short>Check whether two datetimes are only a number of days apart</short>
    +<short>Check whether two TDateTimes are only a number of days apart</short>
     <descr>
     <p>
    -<var>WithinPastDays</var> compares the timestamps <var>ANow</var> and <var>AThen</var> 
    +<var>WithinPastDays</var> compares the timestamps <var>ANow</var> and <var>AThen</var>
     and returns <var>True</var> if the difference between them is at most
     <var>ADays</var> days apart, or <var>False</var> if they are further
     apart.
    @@ -2933,10 +2933,10 @@
     
     <!-- function Visibility: default -->
     <element name="WithinPastHours">
    -<short>Check whether two datetimes are only a number of hours apart</short>
    +<short>Check whether two TDateTimes are only a number of hours apart</short>
     <descr>
     <p>
    -<var>WithinPastHours</var> compares the timestamps <var>ANow</var> and <var>AThen</var> 
    +<var>WithinPastHours</var> compares the timestamps <var>ANow</var> and <var>AThen</var>
     and returns <var>True</var> if the difference between them is at most
     <var>AHours</var> hours apart, or <var>False</var> if they are further
     apart.
    @@ -2983,10 +2983,10 @@
     
     <!-- function Visibility: default -->
     <element name="WithinPastMinutes">
    -<short>Check whether two datetimes are only a number of minutes apart</short>
    +<short>Check whether two TDateTimes are only a number of minutes apart</short>
     <descr>
     <p>
    -<var>WithinPastMinutes</var> compares the timestamps <var>ANow</var> and <var>AThen</var> 
    +<var>WithinPastMinutes</var> compares the timestamps <var>ANow</var> and <var>AThen</var>
     and returns <var>True</var> if the difference between them is at most
     <var>AMinutes</var> minutes apart, or <var>False</var> if they are further
     apart.
    @@ -3033,10 +3033,10 @@
     
     <!-- function Visibility: default -->
     <element name="WithinPastSeconds">
    -<short>Check whether two datetimes are only a number of seconds apart</short>
    +<short>Check whether two TDateTimes are only a number of seconds apart</short>
     <descr>
     <p>
    -<var>WithinPastSeconds</var> compares the timestamps <var>ANow</var> and <var>AThen</var> 
    +<var>WithinPastSeconds</var> compares the timestamps <var>ANow</var> and <var>AThen</var>
     and returns <var>True</var> if the difference between them is at most
     <var>ASeconds</var> seconds apart, or <var>False</var> if they are further
     apart.
    @@ -3083,10 +3083,10 @@
     
     <!-- function Visibility: default -->
     <element name="WithinPastMilliSeconds">
    -<short>Check whether two datetimes are only a number of milliseconds apart</short>
    +<short>Check whether two TDateTimes are only a number of milliseconds apart</short>
     <descr>
     <p>
    -<var>WithinPastMilliSeconds</var> compares the timestamps <var>ANow</var> and <var>AThen</var> 
    +<var>WithinPastMilliSeconds</var> compares the timestamps <var>ANow</var> and <var>AThen</var>
     and returns <var>True</var> if the difference between them is at most
     <var>AMilliSeconds</var> milliseconds apart, or <var>False</var> if they are further
     apart.
    @@ -3133,7 +3133,7 @@
     
     <!-- function Visibility: default -->
     <element name="YearsBetween">
    -<short>Calculate the number of whole years between two DateTime values</short>
    +<short>Calculate the number of whole years between two TDateTime values</short>
     <descr>
     <var>YearsBetween</var> returns the number of whole years between
     <var>ANow</var> and <var>AThen</var>. This number is an approximation,
    @@ -3170,7 +3170,7 @@
     
     <!-- function Visibility: default -->
     <element name="MonthsBetween">
    -<short>Calculate the number of whole months between two DateTime values</short>
    +<short>Calculate the number of whole months between two TDateTime values</short>
     <descr>
     <var>MonthsBetween</var> returns the number of whole months between
     <var>ANow</var> and <var>AThen</var>. This number is an approximation,
    @@ -3206,10 +3206,10 @@
     
     <!-- function Visibility: default -->
     <element name="WeeksBetween">
    -<short>Calculate the number of whole weeks between two DateTime values</short>
    +<short>Calculate the number of whole weeks between two TDateTime values</short>
     <descr>
     <var>WeeksBetween</var> returns the number of whole weeks between
    -<var>ANow</var> and <var>AThen</var>. 
    +<var>ANow</var> and <var>AThen</var>.
     This means the fractional part of a Week is dropped.
     </descr>
     <seealso>
    @@ -3241,10 +3241,10 @@
     
     <!-- function Visibility: default -->
     <element name="DaysBetween">
    -<short>Number of whole days between two DateTime values.</short>
    +<short>Number of whole days between two TDateTime values.</short>
     <descr>
     <var>DaysBetween</var> returns the number of whole days between
    -<var>ANow</var> and <var>AThen</var>. 
    +<var>ANow</var> and <var>AThen</var>.
     This means the fractional part of a day (hours, minutes, etc.) is dropped.
     </descr>
     <seealso>
    @@ -3276,10 +3276,10 @@
     
     <!-- function Visibility: default -->
     <element name="HoursBetween">
    -<short>Calculate the number of whole hours between two DateTime values.</short>
    +<short>Calculate the number of whole hours between two TDateTime values.</short>
     <descr>
     <var>HoursBetween</var> returns the number of whole hours between
    -<var>ANow</var> and <var>AThen</var>. 
    +<var>ANow</var> and <var>AThen</var>.
     This means the fractional part of an hour (minutes,seconds etc.) is dropped.
     </descr>
     <seealso>
    @@ -3301,20 +3301,20 @@
     
     <!-- argument Visibility: default -->
     <element name="HoursBetween.ANow">
    -<short>First DateTime value</short>
    +<short>First TDateTime value</short>
     </element>
     
     <!-- argument Visibility: default -->
     <element name="HoursBetween.AThen">
    -<short>Second DateTime value</short>
    +<short>Second TDateTime value</short>
     </element>
     
     <!-- function Visibility: default -->
     <element name="MinutesBetween">
    -<short>Calculate the number of whole minutes between two DateTime values.</short>
    +<short>Calculate the number of whole minutes between two TDateTime values.</short>
     <descr>
     <var>MinutesBetween</var> returns the number of whole minutes between
    -<var>ANow</var> and <var>AThen</var>. 
    +<var>ANow</var> and <var>AThen</var>.
     This means the fractional part of a minute (seconds, milliseconds etc.) is dropped.
     </descr>
     <seealso>
    @@ -3346,10 +3346,10 @@
     
     <!-- function Visibility: default -->
     <element name="SecondsBetween">
    -<short>Calculate the number of whole seconds between two DateTime values.</short>
    +<short>Calculate the number of whole seconds between two TDateTime values.</short>
     <descr>
     <var>SecondsBetween</var> returns the number of whole seconds between
    -<var>ANow</var> and <var>AThen</var>. 
    +<var>ANow</var> and <var>AThen</var>.
     This means the fractional part of a second (milliseconds etc.) is dropped.
     </descr>
     <seealso>
    @@ -3381,10 +3381,10 @@
     
     <!-- function Visibility: default -->
     <element name="MilliSecondsBetween">
    -<short>Calculate the number of whole milliseconds between two DateTime values.</short>
    +<short>Calculate the number of whole milliseconds between two TDateTime values.</short>
     <descr>
     <var>MillisSecondsBetween</var> returns the number of whole milliseconds between
    -<var>ANow</var> and <var>AThen</var>. 
    +<var>ANow</var> and <var>AThen</var>.
     This means a fractional part of a millisecond is dropped.
     </descr>
     <seealso>
    @@ -3414,14 +3414,37 @@
     <short>Second moment in time</short>
     </element>
     
    +<!-- procedure Visibility: default -->
    +<element name="PeriodBetween">
    +<short>Return the period (in years, months, days) between two dates</short>
    +<descr>
    +<p>
    +<var>PeriodBetween</var> returns the timespan between 2 dates (<var>ANow</var> and
    +<var>AThen</var>), expressed as a number of years, months and days  in the parameters
    +<var>Years</var>, <var>months</var> and <var>days</var>.
    +Only complete years, months and days are reported.
    +</p>
    +<p>
    +If <var>ANow</var> is before <var>AThen</var>, their values are reversed so
    +the result is always positive.
    +</p>
    +</descr>
    +<seealso>
    +<link id="YearsBetween"/>
    +<link id="MonthsBetween"/>
    +<link id="WeeksBetween"/>
    +<link id="DaysBetween"/>
    +</seealso>
    +</element>
    +
     <!-- function Visibility: default -->
     <element name="YearSpan">
    -<short>Calculate the approximate number of years between two DateTime values.</short>
    +<short>Calculate the approximate number of years between two TDateTime values.</short>
     <descr>
     <var>YearSpan</var> returns the number of years between <var>ANow</var> and
     <var>AThen</var>, including any fractional parts of a year. This number is an approximation,
     based on an average number of days of 365.25 per year (average over 4
    -years). 
    +years).
     </descr>
     <seealso>
     <link id="MonthSpan"/>
    @@ -3453,12 +3476,12 @@
     
     <!-- function Visibility: default -->
     <element name="MonthSpan">
    -<short>Calculate the approximate number of months between two DateTime values.</short>
    +<short>Calculate the approximate number of months between two TDateTime values.</short>
     <descr>
     <var>MonthSpan</var> returns the number of month between <var>ANow</var> and
     <var>AThen</var>, including any fractional parts of a month. This number is an approximation,
     based on an average number of days of 30.4375 per month (average over 4
    -years). 
    +years).
     </descr>
     <seealso>
     <link id="YearSpan"/>
    @@ -3490,10 +3513,10 @@
     
     <!-- function Visibility: default -->
     <element name="WeekSpan">
    -<short>Calculate the approximate number of weeks between two DateTime values.</short>
    +<short>Calculate the approximate number of weeks between two TDateTime values.</short>
     <descr>
     <var>WeekSpan</var> returns the number of weeks between <var>ANow</var> and
    -<var>AThen</var>, including any fractional parts of a week. 
    +<var>AThen</var>, including any fractional parts of a week.
     </descr>
     <seealso>
     <link id="YearSpan"/>
    @@ -3525,10 +3548,10 @@
     
     <!-- function Visibility: default -->
     <element name="DaySpan">
    -<short>Calculate the approximate number of days between two DateTime values.</short>
    +<short>Calculate the approximate number of days between two TDateTime values.</short>
     <descr>
     <var>DaySpan</var> returns the number of Days between <var>ANow</var> and
    -<var>AThen</var>, including any fractional parts of a Day. 
    +<var>AThen</var>, including any fractional parts of a Day.
     </descr>
     <seealso>
     <link id="YearSpan"/>
    @@ -3560,10 +3583,10 @@
     
     <!-- function Visibility: default -->
     <element name="HourSpan">
    -<short>Calculate the approximate number of hours between two DateTime values.</short>
    +<short>Calculate the approximate number of hours between two TDateTime values.</short>
     <descr>
     <var>HourSpan</var> returns the number of Hours between <var>ANow</var> and
    -<var>AThen</var>, including any fractional parts of a Hour. 
    +<var>AThen</var>, including any fractional parts of a Hour.
     </descr>
     <seealso>
     <link id="YearSpan"/>
    @@ -3595,10 +3618,10 @@
     
     <!-- function Visibility: default -->
     <element name="MinuteSpan">
    -<short>Calculate the approximate number of minutes between two DateTime values.</short>
    +<short>Calculate the approximate number of minutes between two TDateTime values.</short>
     <descr>
     <var>MinuteSpan</var> returns the number of minutes between <var>ANow</var> and
    -<var>AThen</var>, including any fractional parts of a minute. 
    +<var>AThen</var>, including any fractional parts of a minute.
     </descr>
     <seealso>
     <link id="YearSpan"/>
    @@ -3630,10 +3653,10 @@
     
     <!-- function Visibility: default -->
     <element name="SecondSpan">
    -<short>Calculate the approximate number of seconds between two DateTime values.</short>
    +<short>Calculate the approximate number of seconds between two TDateTime values.</short>
     <descr>
     <var>SecondSpan</var> returns the number of seconds between <var>ANow</var> and
    -<var>AThen</var>, including any fractional parts of a second. 
    +<var>AThen</var>, including any fractional parts of a second.
     </descr>
     <seealso>
     <link id="YearSpan"/>
    @@ -3665,7 +3688,7 @@
     
     <!-- function Visibility: default -->
     <element name="MilliSecondSpan">
    -<short>Calculate the approximate number of milliseconds between two DateTime values.</short>
    +<short>Calculate the approximate number of milliseconds between two TDateTime values.</short>
     <descr>
     <var>MilliSecondSpan</var> returns the number of milliseconds between <var>ANow</var> and
     <var>AThen</var>. Since millisecond is the smallest fraction of a
    @@ -3702,11 +3725,11 @@
     
     <!-- function Visibility: default -->
     <element name="IncYear">
    -<short>Increase a DateTime value with a number of years.</short>
    +<short>Increase a TDateTime value with a number of years.</short>
     <descr>
     <var>IncYear</var> adds <var>ANumberOfYears</var> years to <var>AValue</var> and
     returns the resulting date/time. <var>ANumberOfYears</var> can be positive or
    -negative. 
    +negative.
     </descr>
     <seealso>
     <link id="#rtl.sysutils.IncMonth"/>
    @@ -3722,12 +3745,12 @@
     
     <!-- function result Visibility: default -->
     <element name="IncYear.Result">
    -<short>DateTime representing <var>AValue</var> plus <var>ANumberOfYears</var> years.</short>
    +<short>TDateTime representing <var>AValue</var> plus <var>ANumberOfYears</var> years.</short>
     </element>
     
     <!-- argument Visibility: default -->
     <element name="IncYear.AValue">
    -<short>DateTime to which years should be added.</short>
    +<short>TDateTime to which years should be added.</short>
     </element>
     
     <!-- argument Visibility: default -->
    @@ -3743,7 +3766,7 @@
     
     <!-- function Visibility: default -->
     <element name="IncWeek">
    -<short>Increase a DateTime value with a number of weeks.</short>
    +<short>Increase a TDateTime value with a number of weeks.</short>
     <descr>
     <var>IncWeek</var> adds <var>ANumberOfWeeks</var> weeks to <var>AValue</var> and
     returns the resulting date/time.<var>ANumberOfWeeks</var> can be positive or
    @@ -3763,12 +3786,12 @@
     
     <!-- function result Visibility: default -->
     <element name="IncWeek.Result">
    -<short>DateTime representing <var>AValue</var> plus <var>ANumberOfWeeks</var> weeks.</short>
    +<short>TDateTime representing <var>AValue</var> plus <var>ANumberOfWeeks</var> weeks.</short>
     </element>
     
     <!-- argument Visibility: default -->
     <element name="IncWeek.AValue">
    -<short>DateTime to which weeks should be added.</short>
    +<short>TDateTime to which weeks should be added.</short>
     </element>
     
     
    @@ -3779,7 +3802,7 @@
     
     <!-- function Visibility: default -->
     <element name="IncDay">
    -<short>Increase a DateTime value with a number of days.</short>
    +<short>Increase a TDateTime value with a number of days.</short>
     <descr>
     <var>IncDay</var> adds <var>ANumberOfDays</var> days to <var>AValue</var> and
     returns the resulting date/time.<var>ANumberOfDays</var> can be positive or
    @@ -3799,12 +3822,12 @@
     
     <!-- function result Visibility: default -->
     <element name="IncDay.Result">
    -<short>DateTime representing <var>AValue</var> plus <var>ANumberOfDays</var> days.</short>
    +<short>TDateTime representing <var>AValue</var> plus <var>ANumberOfDays</var> days.</short>
     </element>
     
     <!-- argument Visibility: default -->
     <element name="IncDay.AValue">
    -<short>DateTime value to which days should be added.</short>
    +<short>TDateTime value to which days should be added.</short>
     </element>
     
     <!-- argument Visibility: default -->
    @@ -3814,7 +3837,7 @@
     
     <!-- function Visibility: default -->
     <element name="IncHour">
    -<short>Increase a DateTime value with a number of hours.</short>
    +<short>Increase a TDateTime value with a number of hours.</short>
     <descr>
     <var>IncHour</var> adds <var>ANumberOfHours</var> hours to <var>AValue</var> and
     returns the resulting date/time.<var>ANumberOfHours</var> can be positive or
    @@ -3834,12 +3857,12 @@
     
     <!-- function result Visibility: default -->
     <element name="IncHour.Result">
    -<short>DateTime representing <var>AValue</var>  plus <var>ANumberOfHours</var> hours.</short>
    +<short>TDateTime representing <var>AValue</var>  plus <var>ANumberOfHours</var> hours.</short>
     </element>
     
     <!-- argument Visibility: default -->
     <element name="IncHour.AValue">
    -<short>DateTime to which hours should be added.</short>
    +<short>TDateTime to which hours should be added.</short>
     </element>
     
     <!-- argument Visibility: default -->
    @@ -3849,7 +3872,7 @@
     
     <!-- function Visibility: default -->
     <element name="IncMinute">
    -<short>Increase a DateTime value with a number of minutes.</short>
    +<short>Increase a TDateTime value with a number of minutes.</short>
     <descr>
     <var>IncMinute</var> adds <var>ANumberOfMinutes</var> minutes to <var>AValue</var> and
     returns the resulting date/time.<var>ANumberOfMinutes</var> can be positive or
    @@ -3869,12 +3892,12 @@
     
     <!-- function result Visibility: default -->
     <element name="IncMinute.Result">
    -<short>DateTime representing <var>AValue</var> plus <var>ANumberOfMinutes</var> minutes.</short>
    +<short>TDateTime representing <var>AValue</var> plus <var>ANumberOfMinutes</var> minutes.</short>
     </element>
     
     <!-- argument Visibility: default -->
     <element name="IncMinute.AValue">
    -<short>DateTime to which minutes should be added.</short>
    +<short>TDateTime to which minutes should be added.</short>
     </element>
     
     <!-- argument Visibility: default -->
    @@ -3884,7 +3907,7 @@
     
     <!-- function Visibility: default -->
     <element name="IncSecond">
    -<short>Increase a DateTime value with a number of seconds.</short>
    +<short>Increase a TDateTime value with a number of seconds.</short>
     <descr>
     <var>IncSecond</var> adds <var>ANumberOfSeconds</var> seconds to <var>AValue</var> and
     returns the resulting date/time.<var>ANumberOfSeconds</var> can be positive or
    @@ -3904,12 +3927,12 @@
     
     <!-- function result Visibility: default -->
     <element name="IncSecond.Result">
    -<short>DateTime representing <var>AValue</var> plus <var>ANumberOfSeconds</var> seconds.</short>
    +<short>TDateTime representing <var>AValue</var> plus <var>ANumberOfSeconds</var> seconds.</short>
     </element>
     
     <!-- argument Visibility: default -->
     <element name="IncSecond.AValue">
    -<short>DateTime to which seconds should be added.</short>
    +<short>TDateTime to which seconds should be added.</short>
     </element>
     
     <!-- argument Visibility: default -->
    @@ -3919,7 +3942,7 @@
     
     <!-- function Visibility: default -->
     <element name="IncMilliSecond">
    -<short>Increase a DateTime value with a number of milliseconds.</short>
    +<short>Increase a TDateTime value with a number of milliseconds.</short>
     <descr>
     <var>IncMilliSecond</var> adds <var>ANumberOfMilliSeconds</var> milliseconds to <var>AValue</var> and
     returns the resulting date/time.<var>ANumberOfMilliSeconds</var> can be positive or
    @@ -3939,17 +3962,17 @@
     
     <!-- function result Visibility: default -->
     <element name="IncMilliSecond.Result">
    -<short>DateTime representing <var>AValue</var>  plus <var>ANumberOfMilliSeconds</var> milliseconds.</short>
    +<short>TDateTime representing <var>AValue</var>  plus <var>ANumberOfMilliSeconds</var> milliseconds.</short>
     </element>
     
     <!-- argument Visibility: default -->
     <element name="IncMilliSecond.AValue">
    -<short>DateTime to which milliseconds should be added.</short>
    +<short>TDateTime to which milliseconds should be added.</short>
     </element>
     
     <!-- function Visibility: default -->
     <element name="EncodeDateTime">
    -<short>Encodes a DateTime value from all its parts</short>
    +<short>Encodes a TDateTime value from all its parts</short>
     <descr>
     <p>
     <var>EncodeDateTime</var> encodes the values <var>AYear</var>
    @@ -3979,7 +4002,7 @@
     
     <!-- function result Visibility: default -->
     <element name="EncodeDateTime.Result">
    -<short>DateTime value representing the complete timestamp</short>
    +<short>TDateTime value representing the complete timestamp</short>
     </element>
     
     <!-- argument Visibility: default -->
    @@ -4019,7 +4042,7 @@
     
     <!-- procedure Visibility: default -->
     <element name="DecodeDateTime">
    -<short>Decode a datetime value in a date and time value</short>
    +<short>Decode a TDateTime value in a date and time value</short>
     <descr>
     <var>DecodeDateTime</var> decomposes the date/time indication in
     <var>AValue</var> and returns the various components in <var>AYear</var>,
    @@ -4040,7 +4063,7 @@
     
     <!-- argument Visibility: default -->
     <element name="DecodeDateTime.AValue">
    -<short>DateTime to decode</short>
    +<short>TDateTime to decode</short>
     </element>
     
     <!-- argument Visibility: default -->
    @@ -4179,7 +4202,7 @@
     
     <!-- function result Visibility: default -->
     <element name="EncodeDateWeek.Result">
    -<short>DateTime value representing <var>AYear</var>, <var>AWeekOfYear</var> and <var>ADayOfWeek</var>.</short>
    +<short>TDateTime value representing <var>AYear</var>, <var>AWeekOfYear</var> and <var>ADayOfWeek</var>.</short>
     </element>
     
     <!-- argument Visibility: default -->
    @@ -4194,7 +4217,7 @@
     
     <!-- procedure Visibility: default -->
     <element name="DecodeDateWeek">
    -<short>Decode a DateTime value in a week of year and day of week.</short>
    +<short>Decode a TDateTime value in a week of year and day of week.</short>
     <descr>
     <var>DecodeDateWeek</var> decomposes the date indication in
     <var>AValue</var> and returns the various components in <var>AYear</var>,
    @@ -4214,7 +4237,7 @@
     
     <!-- argument Visibility: default -->
     <element name="DecodeDateWeek.AValue">
    -<short>DateTime to decode</short>
    +<short>TDateTime to decode</short>
     </element>
     
     <!-- argument Visibility: default -->
    @@ -4285,7 +4308,7 @@
     
     <!-- function Visibility: default -->
     <element name="EncodeDateDay">
    -<short>Encodes a year and day of year to a DateTime value</short>
    +<short>Encodes a year and day of year to a TDateTime value</short>
     <descr>
     <p>
     <var>EncodeDateDay</var> encodes the values <var>AYear</var> and <var>ADayOfYear</var>
    @@ -4312,7 +4335,7 @@
     
     <!-- function result Visibility: default -->
     <element name="EncodeDateDay.Result">
    -<short>DateTime value representing the date specified by <var>AYear</var> and <var>ADayOfYear</var>.</short>
    +<short>TDateTime value representing the date specified by <var>AYear</var> and <var>ADayOfYear</var>.</short>
     </element>
     
     <!-- argument Visibility: default -->
    @@ -4327,7 +4350,7 @@
     
     <!-- procedure Visibility: default -->
     <element name="DecodeDateDay">
    -<short>Decode a DateTime value in year and year of day.</short>
    +<short>Decode a TDateTime value in year and year of day.</short>
     <descr>
     <var>DecodeDateDay</var> decomposes the date indication in
     <var>AValue</var> and returns the various components in <var>AYear</var>,
    @@ -4347,7 +4370,7 @@
     
     <!-- argument Visibility: default -->
     <element name="DecodeDateDay.AValue">
    -<short>DateTime to decode</short>
    +<short>TDateTime to decode</short>
     </element>
     
     <!-- argument Visibility: default -->
    @@ -4408,7 +4431,7 @@
     
     <!-- function Visibility: default -->
     <element name="EncodeDateMonthWeek">
    -<short>Encodes a year, month, week of month and day of week to a DateTime value</short>
    +<short>Encodes a year, month, week of month and day of week to a TDateTime value</short>
     <descr>
     <p>
     <var>EncodeDateTime</var> encodes the values <var>AYear</var>
    @@ -4438,7 +4461,7 @@
     
     <!-- function result Visibility: default -->
     <element name="EncodeDateMonthWeek.Result">
    -<short>DateTime value representing the date specified by <var>AYear</var>, <var>AMonth</var>, <var>AWeekOfMonth</var> and <var>ADayOfWeek</var>.</short>
    +<short>TDateTime value representing the date specified by <var>AYear</var>, <var>AMonth</var>, <var>AWeekOfMonth</var> and <var>ADayOfWeek</var>.</short>
     </element>
     
     <!-- argument Visibility: default -->
    @@ -4463,7 +4486,7 @@
     
     <!-- procedure Visibility: default -->
     <element name="DecodeDateMonthWeek">
    -<short>Decode a DateTime value in a month, week of month and day of week</short>
    +<short>Decode a TDateTime value in a month, week of month and day of week</short>
     <descr>
     <var>DecodeDateMonthWeek</var> decomposes the date indication in
     <var>AValue</var> and returns the various components in <var>AYear</var>,
    @@ -4483,7 +4506,7 @@
     
     <!-- argument Visibility: default -->
     <element name="DecodeDateMonthWeek.AValue">
    -<short>DateTime to decode</short>
    +<short>TDateTime to decode</short>
     </element>
     
     <!-- argument Visibility: default -->
    @@ -4572,7 +4595,7 @@
     with <var>AYear</var>. All other parts of the date/time stamp are left untouched.
     </descr>
     <errors>
    -If the <var>AYear</var> value is not within a valid range (1..9999) then 
    +If the <var>AYear</var> value is not within a valid range (1..9999) then
     an <var>EConvertError</var> exception is raised.
     </errors>
     <seealso>
    @@ -4612,7 +4635,7 @@
     with <var>AMonth</var>. All other parts of the date/time stamp are left untouched.
     </descr>
     <errors>
    -If the <var>AMonth</var> value is not within a valid range (1..12) then 
    +If the <var>AMonth</var> value is not within a valid range (1..12) then
     an <var>EConvertError</var> exception is raised.
     </errors>
     <seealso>
    @@ -4692,7 +4715,7 @@
     with <var>AHour</var>. All other parts of the date/time stamp are left untouched.
     </descr>
     <errors>
    -If the <var>AHour</var> value is not within a valid range (0..23) then 
    +If the <var>AHour</var> value is not within a valid range (0..23) then
     an <var>EConvertError</var> exception is raised.
     </errors>
     <seealso>
    @@ -4732,7 +4755,7 @@
     with <var>AMinute</var>. All other parts of the date/time stamp are left untouched.
     </descr>
     <errors>
    -If the <var>AMinute</var> value is not within a valid range (0..59) then 
    +If the <var>AMinute</var> value is not within a valid range (0..59) then
     an <var>EConvertError</var> exception is raised.
     </errors>
     <seealso>
    @@ -4772,7 +4795,7 @@
     with <var>ASecond</var>. All other parts of the date/time stamp are left untouched.
     </descr>
     <errors>
    -If the <var>ASecond</var> value is not within a valid range (0..59) then 
    +If the <var>ASecond</var> value is not within a valid range (0..59) then
     an <var>EConvertError</var> exception is raised.
     </errors>
     <seealso>
    @@ -4812,7 +4835,7 @@
     with <var>AMilliSecond</var>. All other parts of the date/time stamp are left untouched.
     </descr>
     <errors>
    -If the <var>AMilliSecond</var> value is not within a valid range (0..999) then 
    +If the <var>AMilliSecond</var> value is not within a valid range (0..999) then
     an <var>EConvertError</var> exception is raised.
     </errors>
     <seealso>
    @@ -4849,11 +4872,11 @@
     <short>Replace date part of a <var>TDateTime</var> value with another date.</short>
     <descr>
     <var>RecodeDate</var> replaces the date part of the timestamp <var>AValue</var>
    -with the date specified in <var>AYear</var>, <var>AMonth</var>, <var>ADay</var>. 
    +with the date specified in <var>AYear</var>, <var>AMonth</var>, <var>ADay</var>.
     All other parts (the time part) of the date/time stamp are left untouched.
     </descr>
     <errors>
    -If one of the <var>AYear</var>, <var>AMonth</var>, <var>ADay</var> values is not within 
    +If one of the <var>AYear</var>, <var>AMonth</var>, <var>ADay</var> values is not within
     a valid range then an <var>EConvertError</var> exception is raised.
     </errors>
     <seealso>
    @@ -4901,12 +4924,12 @@
     <descr>
     <var>RecodeTime</var> replaces the time part of the timestamp <var>AValue</var>
     with the date specified in <var>AHour</var>, <var>AMinute</var>,
    -<var>ASecond</var> and <var>AMilliSecond</var>. 
    +<var>ASecond</var> and <var>AMilliSecond</var>.
     All other parts (the date part) of the date/time stamp are left untouched.
     </descr>
     <errors>
     If one of the values <var>AHour</var>, <var>AMinute</var>, <var>ASecond</var>
    -<var>AMilliSecond</var> is not within a valid range then an <var>EConvertError</var> 
    +<var>AMilliSecond</var> is not within a valid range then an <var>EConvertError</var>
     exception is raised.
     </errors>
     <seealso>
    @@ -4959,15 +4982,15 @@
     <descr>
     <var>RecodeDateTime</var> replaces selected parts of the timestamp <var>AValue</var>
     with the date/time values specified in <var>AYear</var>, <var>AMonth</var>,
    -<var>ADay</var>, <var>AHour</var>, <var>AMinute</var>, <var>ASecond</var> and 
    +<var>ADay</var>, <var>AHour</var>, <var>AMinute</var>, <var>ASecond</var> and
     <var>AMilliSecond</var>. If any of these values
    -equals the predefined constant <link id="RecodeLeaveFieldAsIs"/>, then 
    +equals the predefined constant <link id="RecodeLeaveFieldAsIs"/>, then
     the corresponding part of the date/time stamp is left untouched.
     </descr>
     <errors>
     If one of the values <var>AYear</var>, <var>AMonth</var>,
     <var>ADay</var>, <var>AHour</var>, <var>AMinute</var>, <var>ASecond</var>
    -<var>AMilliSecond</var> is not within a valid range (<var>RecodeLeaveFieldAsIs</var> excepted) 
    +<var>AMilliSecond</var> is not within a valid range (<var>RecodeLeaveFieldAsIs</var> excepted)
     then an <var>EConvertError</var> exception is raised.
     </errors>
     <seealso>
    @@ -5037,9 +5060,9 @@
     <p>
     <var>TryRecodeDateTime</var> replaces selected parts of the timestamp <var>AValue</var>
     with the date/time values specified in <var>AYear</var>, <var>AMonth</var>,
    -<var>ADay</var>, <var>AHour</var>, <var>AMinute</var>, <var>ASecond</var> and 
    +<var>ADay</var>, <var>AHour</var>, <var>AMinute</var>, <var>ASecond</var> and
     <var>AMilliSecond</var>. If any of these values
    -equals the predefined constant <link id="RecodeLeaveFieldAsIs"/>, then 
    +equals the predefined constant <link id="RecodeLeaveFieldAsIs"/>, then
     the corresponding part of the date/time stamp is left untouched.
     </p>
     <p>
    @@ -5263,12 +5286,12 @@
     
     <!-- argument Visibility: default -->
     <element name="SameDateTime.A">
    -<short>First DateTime value</short>
    +<short>First TDateTime value</short>
     </element>
     
     <!-- argument Visibility: default -->
     <element name="SameDateTime.B">
    -<short>Second DateTime value</short>
    +<short>Second TDateTime value</short>
     </element>
     
     <!-- function Visibility: default -->
    @@ -5301,12 +5324,12 @@
     
     <!-- argument Visibility: default -->
     <element name="SameDate.A">
    -<short>First DateTime value</short>
    +<short>First TDateTime value</short>
     </element>
     
     <!-- argument Visibility: default -->
     <element name="SameDate.B">
    -<short>Second DateTime value</short>
    +<short>Second TDateTime value</short>
     </element>
     
     <!-- function Visibility: default -->
    @@ -5339,12 +5362,12 @@
     
     <!-- argument Visibility: default -->
     <element name="SameTime.A">
    -<short>First DateTime value</short>
    +<short>First TDateTime value</short>
     </element>
     
     <!-- argument Visibility: default -->
     <element name="SameTime.B">
    -<short>Second DateTime value</short>
    +<short>Second TDateTime value</short>
     </element>
     
     <!-- function Visibility: default -->
    @@ -5353,7 +5376,7 @@
     <descr>
     <var>NthDayOfWeek</var> returns the occurrence of the weekday of <var>AValue</var> in the
     month. This is the N-th time that this weekday occurs in the month (e.g. the
    -third saturday of the month).
    +third Saturday of the month).
     </descr>
     <seealso>
     <link id="EncodeDateMonthWeek"/>
    @@ -5377,13 +5400,13 @@
     
     <!-- procedure Visibility: default -->
     <element name="DecodeDayOfWeekInMonth">
    -<short>Decode a DateTime value in year, month, day of week parts</short>
    +<short>Decode a TDateTime value in year, month, day of week parts</short>
     <descr>
     <var>DecodeDayOfWeekInMonth</var> decodes the date <var>AValue</var> in a
     <var>AYear</var>, <var>AMonth</var>, <var>ADayOfweek</var> and
     <var>ANthDayOfweek</var>.
     (This is the N-th time that this weekday occurs in the month, e.g. the
    -third saturday of the month.)
    +third Saturday of the month.)
     </descr>
     <seealso>
     <link id="NthDayOfWeek"/>
    @@ -5397,7 +5420,7 @@
     
     <!-- argument Visibility: default -->
     <element name="DecodeDayOfWeekInMonth.AValue">
    -<short>DateTime to decode</short>
    +<short>TDateTime to decode</short>
     </element>
     
     <!-- argument Visibility: default -->
    @@ -5425,13 +5448,13 @@
     <short>Encodes a year, month, week, day of week specification to a <var>TDateTime</var> value</short>
     <descr>
     <p>
    -<var>EncodeDayOfWeekInMonth</var> encodes <var>AYear</var>, <var>AMonth</var>, 
    -<var>ADayOfweek</var> and <var>ANthDayOfweek</var> to a valid date stamp and 
    +<var>EncodeDayOfWeekInMonth</var> encodes <var>AYear</var>, <var>AMonth</var>,
    +<var>ADayOfweek</var> and <var>ANthDayOfweek</var> to a valid date stamp and
     returns the result.
     </p>
     <p>
     <var>ANthDayOfweek</var>is the N-th time that this weekday occurs in the month, e.g. the
    -third saturday of the month.
    +third Saturday of the month.
     </p>
     <p>
     For an example, see <link id="DecodeDayOfWeekInMonth"/>.
    @@ -5480,7 +5503,7 @@
     <short>Encode a year, month, week, day of week triplet to a <var>TDateTime</var> value</short>
     <descr>
     <p>
    -<var>EncodeDayOfWeekInMonth</var> encodes 
    +<var>EncodeDayOfWeekInMonth</var> encodes
     <var>AYear</var>, <var>AMonth</var>, <var>ADayOfweek</var> and
     <var>ANthDayOfweek</var> to a valid date stamp and returns the result in
     <var>AValue</var>.
    @@ -5487,7 +5510,7 @@
     </p>
     <p>
     <var>ANthDayOfweek</var>is the N-th time that this weekday occurs in the month, e.g. the
    -third saturday of the month.
    +third Saturday of the month.
     </p>
     <p>
     The function returns <var>True</var> if the encoding was successful,
    @@ -5545,10 +5568,10 @@
     <short>Raise an <var>EConvertError</var> about an invalid date-time specification.</short>
     <descr>
     <p>
    -<var>InvalidDateTimeError</var> raises an <link id="#rtl.sysutils.EConvertError">EConvertError</link> 
    +<var>InvalidDateTimeError</var> raises an <link id="#rtl.sysutils.EConvertError">EConvertError</link>
     exception and formats the error message with an appropriate description made
     up from the parts <var>AYear</var>, <var>AMonth</var>,
    -<var>ADay</var>,<var>AHour</var>, <var>AMinute</var>, <var>ASecond</var> and 
    +<var>ADay</var>,<var>AHour</var>, <var>AMinute</var>, <var>ASecond</var> and
     <var>AMilliSecond</var>.
     </p>
     <p>
    @@ -5604,7 +5627,7 @@
     <short>Raise an EConvertError with an invalid Year, WeekOfyear and DayOfWeek specification</short>
     <descr>
     <p>
    -<var>InvalidDateWeekError</var> raises an <link id="#rtl.sysutils.EConvertError">EConvertError</link> 
    +<var>InvalidDateWeekError</var> raises an <link id="#rtl.sysutils.EConvertError">EConvertError</link>
     exception and formats the error message with an appropriate description made
     up from the parts <var>AYear</var>, <var>AWeek</var>,
     <var>ADayOfWeek</var>
    @@ -5639,7 +5662,7 @@
     <short>Raise an <var>EConvertError</var> exception when a day is not a valid day of a year.</short>
     <descr>
     <p>
    -<var>InvalidDateDayError</var> raises an <link id="#rtl.sysutils.EConvertError">EConvertError</link> 
    +<var>InvalidDateDayError</var> raises an <link id="#rtl.sysutils.EConvertError">EConvertError</link>
     exception and formats the error message with an appropriate description made
     up from the parts <var>AYear</var> and <var>ADayOfYear</var>.
     </p>
    @@ -5671,7 +5694,7 @@
     <short>Raise an <var>EConvertError</var> exception when a Year,Month,WeekOfMonth,DayofWeek is invalid.</short>
     <descr>
     <p>
    -<var>InvalidDateMonthWeekError</var> raises an <link id="#rtl.sysutils.EConvertError">EConvertError</link> 
    +<var>InvalidDateMonthWeekError</var> raises an <link id="#rtl.sysutils.EConvertError">EConvertError</link>
     exception and formats the error message with an appropriate description made
     up from the parts <var>AYear</var>, <var>Amonth</var>,
     <var>AWeekOfMonth</var> and <var>ADayOfWeek</var>.
    @@ -5714,7 +5737,7 @@
     <short>Raise an <var>EConvertError</var> exception when a Year,Month,NthDayofWeek,DayofWeek is invalid.</short>
     <descr>
     <p>
    -<var>InvalidDayOfWeekInMonthError</var> raises an <link id="#rtl.sysutils.EConvertError">EConvertError</link> 
    +<var>InvalidDayOfWeekInMonthError</var> raises an <link id="#rtl.sysutils.EConvertError">EConvertError</link>
     exception and formats the error message with an appropriate description made
     up from the parts <var>AYear</var>, <var>Amonth</var>,
     <var>ANthDayOfWeek</var> and <var>ADayOfWeek</var>.
    @@ -5757,7 +5780,7 @@
     <short>Converts a TDateTime value to a Julian date representation</short>
     <descr>
     <var>DateTimeToJulianDate</var> converts the <var>AValue</var> date/time
    -indication to a julian (as opposed to Gregorian) date.
    +indication to a Julian (as opposed to Gregorian) date.
     </descr>
     <seealso>
     <link id="JulianDateToDateTime"/>
    @@ -5774,7 +5797,7 @@
     
     <!-- argument Visibility: default -->
     <element name="DateTimeToJulianDate.AValue">
    -<short>DateTime value to convert to Julian representation</short>
    +<short>TDateTime value to convert to Julian representation</short>
     </element>
     
     <!-- function Visibility: default -->
    @@ -5855,7 +5878,7 @@
     
     <!-- argument Visibility: default -->
     <element name="DateTimeToModifiedJulianDate.AValue">
    -<short>DateTime value to convert to Modified Julian representation</short>
    +<short>TDateTime value to convert to Modified Julian representation</short>
     </element>
     
     <!-- function Visibility: default -->
    @@ -5938,7 +5961,7 @@
     
     <!-- argument Visibility: default -->
     <element name="DateTimeToUnix.AValue">
    -<short>DateTime value to convert</short>
    +<short>TDateTime value to convert</short>
     </element>
     
     <!-- function Visibility: default -->
    @@ -5982,7 +6005,7 @@
     <element name="UnixTimeStampToMac">
     <short>Convert Unix Timestamp to a Mac Timestamp</short>
     <descr>
    -<var>UnixTimeStampToMac</var> converts the UNIX epoch time 
    +<var>UnixTimeStampToMac</var> converts the UNIX epoch time
     in <var>AValue</var> to a valid Mac timestamp indication and returns the result.
     </descr>
     <errors>
    @@ -5999,8 +6022,8 @@
     <element name="DateTimeToMac">
     <short>Convert a <var>TDateTime</var> timestamp to a Mac timestamp</short>
     <descr>
    -<var>DateTimeToMac</var> converts the <var>TDateTime</var> value <var>AValue</var> 
    -to a valid  Mac timestamp indication and returns the result. 
    +<var>DateTimeToMac</var> converts the <var>TDateTime</var> value <var>AValue</var>
    +to a valid  Mac timestamp indication and returns the result.
     </descr>
     <errors>
     None.
    @@ -6033,7 +6056,7 @@
     <element name="MacTimeStampToUnix">
     <short>Convert a Mac timestamp to a Unix timestamp</short>
     <descr>
    -<var>MacTimeStampToUnix</var> converts the Mac timestamp 
    +<var>MacTimeStampToUnix</var> converts the Mac timestamp
     indication in <var>AValue</var> to a UNIX timestamp indication (epoch time)
     </descr>
     <errors>
    @@ -6045,13 +6068,14 @@
     <link id="MacToDateTime"/>
     </seealso>
     </element>
    +
     <!--
     function ScanDateTime(const Pattern:string;const s:string;const fmt:TFormatSettings;startpos:integer=1) : tdatetim
     function ScanDateTime(const Pattern:string;const s:string;startpos:integer=1) : tdatetime; overload;
       -->
    -  
    +
     <element name="ScanDateTime">
    -<short>Scans a string for a DateTime pattern and returns the date/time</short>
    +<short>Scans a string for a TDateTime pattern and returns the date/time</short>
     <descr>
     <p>
     <var>ScanDateTime</var> scans string <var>S</var> for the date/time pattern
    @@ -6061,7 +6085,7 @@
     <p>
     In effect, this function does the opposite of what <link
     id="#rtl.sysutils.FormatDateTime">FormatDateTime</link> does. The <var>Pattern</var> variable must contain a
    -valid date/time pattern: note that not all possible formatdatetime patterns 
    +valid date/time pattern: note that not all possible formatdatetime patterns
     can be recognized, e.g., <var>hn</var> cannot be detected properly.
     </p>
     </descr>
    @@ -6114,13 +6138,13 @@
     <!-- function Visibility: default -->
     <element name="IsSameMonth">
     <short>Check if 2 dates are in the same month.</short>
    -<descr> 
    -<var>IsSameMonth</var> will return <var>True</var> if the two dates 
    +<descr>
    +<var>IsSameMonth</var> will return <var>True</var> if the two dates
     <var>Avalue</var> and <var>ABasis</var> occur in the same year and month.
     (i.e. if their month and year parts match). Otherwise, <var>False</var> is
     returned.
     </descr>
    -<seealso> 
    +<seealso>
     <link id="IsSameDay"/>
     <link id="IsToday"/>
     <link id="SameDate"/>
    @@ -6127,10 +6151,10 @@
     </seealso>
     </element>
     
    -<!-- function Visibility: default --> 
    +<!-- function Visibility: default -->
     <element name="TryEncodeTimeInterval">
     <short>Try to encode an interval as a <var>TDateTime</var> value.</short>
    -<descr> 
    +<descr>
     <var>TryEncodeTimeInterval</var> encodes a time interval expressed in
     <var>Hour</var>, <var>Min</var>, <var>Sec</var>, <var>MSec</var> as a
     <var>TDateTime</var> value and returns the value in <var>Time</var>. It
    @@ -6138,7 +6162,7 @@
     contain valid time values (i.e. less than 60, 60 resp. MSec). The number of
     hours may be larger than 24.
     </descr>
    -<seealso> 
    +<seealso>
     <link id="EncodeTimeInterval"/>
     </seealso>
     </element>
    @@ -6146,7 +6170,7 @@
     <!-- function Visibility: default -->
     <element name="EncodeTimeInterval">
     <short>Encode an interval as a <var>TDateTime</var> value.</short>
    -<descr> 
    +<descr>
     <var>EncodeTimeInterval</var> encodes a time interval expressed in
     <var>Hour</var>, <var>Min</var>, <var>Sec</var>, <var>MSec</var> as a
     <var>TDateTime</var> value and returns the value in <var>Time</var>.
    @@ -6153,10 +6177,10 @@
     </descr>
     <errors>
     If <var>Min</var>, <var>Sec</var>, <var>MSec</var> do not contain a valid
    -time indication, then an <var>EConvertError</var> exception is raised.   
    +time indication, then an <var>EConvertError</var> exception is raised.
     </errors>
    -<seealso> 
    -<link id="TryEncodeTimeInterval"/>  
    +<seealso>
    +<link id="TryEncodeTimeInterval"/>
     </seealso>
     </element>
     
    @@ -6166,14 +6190,14 @@
     <descr>
     <p>
     <var>UniversalTimeToLocal</var> converts a universal time indication to a local time:
    -it applies the <var>TZOffset</var> timezone offset to the <var>UT</var> Universal time (UTC).
    +it applies the <var>TZOffset</var> time zone offset to the <var>UT</var> Universal time (UTC).
     If no <var>TZOffset</var> is specified, the local time offset as returned by
     <link id="GetLocalTimeOffset"/> is used.
     </p>
     <p>
    -Note that for times in the past or in the future, or for timezones with DST,
    -omitting the <var>TZoffset</var> may lead to wrong results, as the current 
    -timezone offset is used. Calculation of the correct timezone offset for a
    +Note that for times in the past or in the future, or for time zones with DST,
    +omitting the <var>TZoffset</var> may lead to wrong results, as the current
    +time zone offset is used. Calculation of the correct time zone offset for a
     given date is very complicated, and outside the scope of this call.
     </p>
     </descr>
    @@ -6189,54 +6213,31 @@
     <descr>
     <p>
     <var>UniversalTimeToLocal</var> converts a local time indication to a universal time
    -indication: it undoes the <var>TZOffset</var> timezone offset from the <var>UT</var> 
    -Universal time (UTC). 
    -If no <var>TZOffset</var> is specified, the local time offset as returned by 
    +indication: it undoes the <var>TZOffset</var> time zone offset from the <var>UT</var>
    +Universal time (UTC).
    +If no <var>TZOffset</var> is specified, the local time offset as returned by
     <link id="GetLocalTimeOffset"/> is used.
     </p>
     <p>
     Note that for times in the past or in the future, or for time zones with DST,
    -omitting the <var>TZoffset</var> may lead to wrong results, as the current 
    -timezone offset is used.  Calculation of the correct timezone offset for a 
    +omitting the <var>TZoffset</var> may lead to wrong results, as the current
    +time zone offset is used.  Calculation of the correct time zone offset for a
     given date is very complicated, and outside the scope of this call.
     </p>
     </descr>
     <seealso>
     <link id="GetLocalTimeOffset"/>
    -<link id="UniversalTimeToLocal"/> 
    +<link id="UniversalTimeToLocal"/>
     </seealso>
     </element>
     
    -<!-- procedure Visibility: default -->
    -<element name="PeriodBetween">
    -<short>Return the period (in years, months, days) between two dates</short>
    -<descr>
    -<p>
    -<var>PeriodBetween</var> returns the timespan between 2 dates (<var>ANow</var> and
    -<var>AThen</var>), expressed as a number of years, months and days  in the parameters 
    -<var>Years</var>, <var>months</var> and <var>days</var>. 
    -Only complete years, months and days are reported. 
    -</p>
    -<p>
    -If <var>ANow</var> is before <var>AThen</var>, their values are reversed so
    -the result is always positive.
    -</p>
    -</descr>
    -<seealso>
    -<link id="YearsBetween"/>
    -<link id="MonthsBetween"/>
    -<link id="WeeksBetween"/>
    -<link id="DaysBetween"/>
    -</seealso>
    -</element>
    -
     <!-- function Visibility: default -->
     <element name="DateTimeInRange">
     <short>Checks whether a date/time value is in a given range</short>
     <descr>
     <var>DateTimeInRange</var> checks whether the value <var>ADateTime</var> lies between <var>AStartDateTime</var> and <var>AEndDateTime</var>, and returns <var>True</var> if it is.
    -When <var>AInclusive</var> is <var>True</var> (the default), then the limits are included. When <var>AInclusive</var> is <var>False</var>, 
    -the limits are excluded. 
    +When <var>AInclusive</var> is <var>True</var> (the default), then the limits are included. When <var>AInclusive</var> is <var>False</var>,
    +the limits are excluded.
     </descr>
     <errors>
     The <var>AStartDateTime</var> value must be before <var>AEndDateTime</var>, but no check is performed.
    @@ -6252,7 +6253,7 @@
     <short>Checks whether a time value is in a given range</short>
     <descr>
     <var>TimeInRange</var> checks whether the value <var>ATime</var> lies between <var>AStartTime</var> and <var>AEndTime</var>, and returns <var>True</var> if it is.
    -When <var>AInclusive</var> is <var>True</var> (the default), then the limits are included. When <var>AInclusive</var> is <var>False</var>, 
    +When <var>AInclusive</var> is <var>True</var> (the default), then the limits are included. When <var>AInclusive</var> is <var>False</var>,
     the limits are excluded. Only the time part of the 3 parameters is considered.
     </descr>
     <errors>
    @@ -6269,7 +6270,7 @@
     <short>Checks whether a date value is in a given rang</short>
     <descr>
     <var>DateInRange</var> checks whether the value <var>ADate</var> lies between <var>AStartDate</var> and <var>AEndDate</var>, and returns <var>True</var> if it is.
    -When <var>AInclusive</var> is <var>True</var> (the default), then the limits are included. When <var>AInclusive</var> is <var>False</var>, 
    +When <var>AInclusive</var> is <var>True</var> (the default), then the limits are included. When <var>AInclusive</var> is <var>False</var>,
     the limits are excluded. Only the date part of the 3 parameters is considered.
     </descr>
     <errors>
    @@ -6281,6 +6282,346 @@
     </seealso>
     </element>
     
    +<element name="TryISOStrToDate">
    +  <short>Attempts to convert an ISO 8601-formatted date value to a TDateTime type</short>
    +  <descr>
    +    <p>
    +      <var>TryISOStrToDate</var> is a <var>Boolean</var> function which attempts to convert an ISO 8601-formatted date value in aString to a <var>TDateTime</var> type. The return value is <var>True</var> if the string is successfully converted into a native date value.
    +    </p>
    +    <p>
    +      <var>aString</var> contains the date value converted in the function, and can use one of the following ISO 8601 notations :
    +    </p>
    +    <ul>
    +      <li>YYYYMMDD</li>
    +      <li>YYYY-MM-DD</li>
    +    </ul>
    +    <p>
    +      <var>outDate</var> is an output parameter where the converted TDateTime value is stored in the function. The return value is <var>False</var> (and outDate is set to an empty date value) if aString cannot be converted in the routine.The time portion of the TDateTime value is not used or updated in the function.
    +    </p>
    +    <p>
    +      Use <var>TryISOStrToTime</var> to convert a time value to a native TDateTime type.
    +    </p>
    +    <p>
    +      Use <var>TryISOStrToDateTime</var> to convert a string which contains both date and time values to a TDateTime type.
    +    </p>
    +  </descr>
    +  <seealso>
    +    <link id="TryISOStrToTime"/>
    +    <link id="TryISOStrToDateTime"/>
    +  </seealso>
    +</element>
    +<element name="TryISOStrToDate.Result">
    +  <short>True if the date value is successfully converted</short>
    +</element>
    +<element name="TryISOStrToDate.aString">
    +  <short>ISO 8601 date value converted in the function</short>
    +</element>
    +<element name="TryISOStrToDate.outDate">
    +  <short>Contains the TDateTime value for the string; time portion is not used</short>
    +</element>
    +
    +<element name="TryISOStrToTime">
    +  <short>Converts an ISO 8601-formatted time value to a TDateTime type</short>
    +  <descr>
    +    <p>
    +      <var>TryISOStrToTime</var> is a <var>Boolean</var> function which attempts to convert the specified ISO 8601 time value to a <var>TDateTime</var> type. <var>aString</var> contains the ISO 8601 time value examined in the function, and can use one of the following notations:
    +    </p>
    +    <ul>
    +      <li>HHNN</li>
    +      <li>HHNNSS</li>
    +      <li>HHNNSS.ZZZ</li>
    +      <li>HH:NN</li>
    +      <li>HH:NN:SS</li>
    +      <li>HH:NN:SS.ZZZ</li>
    +    </ul>
    +    <p>
    +      aString may contain an optional time zone designation at the end of the string value, like <b>'Z'</b> for Zulu time zone or a time zone offset expressed using either positive or negative hours and minutes.  For example:
    +    </p>
    +    <ul>
    +      <li>16:00:00Z</li>
    +      <li>12:00:00-04:00</li>
    +    </ul>
    +    <p>
    +      The return value is <var>True</var> if the time value in aString is successfully converted in the function.
    +    </p>
    +    <p>
    +      <var>outTime</var> is a <var>TDateTime</var> type used to store the time value converted in the function. When the return value is <var>False</var>, outTime contains <b>0</b> for an empty time value.
    +    </p>
    +    <p>
    +      Use <var>TryISOStrToDate</var> to convert an ISO 8601 date value to a TDateTime type.
    +    </p>
    +    <p>
    +      Use <var>TryISOStrToDateTime</var> to convert a string which contains both date and time values to a TDateTime type.
    +    </p>
    +  </descr>
    +  <seealso>
    +    <link id="TryISOStrToDate"/>
    +    <link id="TryISOStrToDateTime"/>
    +  </seealso>
    +</element>
    +<element name="TryISOStrToTime.Result">
    +  <short>True if the time value is successfully converted to a TDateTime type</short>
    +</element>
    +<element name="TryISOStrToTime.aString">
    +  <short>ISO 8601 time value converted in the function</short>
    +</element>
    +<element name="TryISOStrToTime.outTime">
    +  <short>TDateTime type  containing the time value from the function</short>
    +</element>
    +
    +<element name="TryISOStrToDateTime">
    +  <short>
    +    Attempts to convert an ISO 8601-formatted date/time value to a TDateTime type
    +  </short>
    +  <descr>
    +    <p>
    +      <var>TryISOStrToDateTime</var> is a <var>Boolean</var> function which attempts to convert an ISO 8601-formatted date/time value to a <var>TDateTime</var> type. <var>aString</var> contains the date/time value examined in the routine, and can use one of the supported ISO 8601 notations. Internally, TryISOStrToDateTime separates the value in aString into date and time parts and calls both <var>TryISOStrToDate</var> and <var>TryISOStrToTime</var>.
    +    </p>
    +    <p>
    +      <var>outDateTime</var> is a <var>TDateTime</var> output parameter where the date/time value is stored in the function.
    +    </p>
    +    <p>
    +      The return value is <var>True</var> if aString is successfully parsed and converted to a TDateTime type. The return value is <var>False</var> if aString contains a value that cannot be parsed in the function. When the return value is <var>False</var>, outDateTime is set to <b>0</b> (representing an empty date/time value).
    +    </p>
    +    <p>
    +      Use <var>TryISOStrToDate</var> or <var>TryISOStrToTime</var> to convert a string using only a date or a time value (respectively).
    +    </p>
    +    <p>
    +      Use <var>TryISO8601ToDate</var> to convert a string value which uses more intricate  forms of the ISO 8601 time notation.
    +    </p>
    +  </descr>
    +  <seealso>
    +    <link id="TryISOStrToDate"/>
    +    <link id="TryISOStrToTime"/>
    +    <link id="TryISO8601ToDate"/>
    +  </seealso>
    +</element>
    +<element name="TryISOStrToDateTime.Result">
    +  <short>True if the time value is successfully converted to a TDateTime type</short>
    +</element>
    +<element name="TryISOStrToDateTime.aString">
    +  <short>ISO 8601 date/time value examined in the function</short>
    +</element>
    +<element name="TryISOStrToDateTime.outDateTime">
    +  <short>TDateTime type containing the date and time values from the function</short>
    +</element>
    +
    +<element name="TryISOTZStrToTZOffset">
    +  <short>
    +    Attempts to convert an ISO 8601 time zone designation to an offset in minutes
    +  </short>
    +  <descr>
    +    <p>
    +      <var>TryISOTZStrToTZOffset</var> is a <var>Boolean</var> function which attempts to convert the ISO 8601 time zone designation to a time zone offset expressed as a positive or negative number of minutes. <var>TZ</var> contains the time zone designation examined in the function. It should not contain any other portion of a date/time value using ISO 8601 notation - just the time zone designation.
    +    </p>
    +    <p>
    +      <var>TryISOTZStrToTZOffset</var> recognizes the following values in the <var>TZ</var> argument:
    +    </p>
    +    <dl>
    +      <dt>Z</dt>
    +      <dd>
    +        Represents time zone Zulu (short for "Zulu time") as used by the military and in navigation. Refers to  UTC (Coordinated Universal Time), formerly known as Greenwich Mean Time.
    +      </dd>
    +      <dt>
    +        ±HHNN or ±HH:NN
    +      </dt>
    +      <dd>
    +        time zone designation expressed as a positive or negative number of hours and minutes for a given time value.
    +      </dd>
    +    </dl>
    +    <p>
    +      <var>TZOffset</var> is an Integer updated to contains the number of minutes needed to adjust a time value for a given time zone back to UTC (Zulu time). The hour and minute component values in TZ are converted to minutes and complemented (multiplied by -1) to derive the offset value. The derived value in TZOffset is 0 when TZ contains Zulu time, an empty string (''), or cannot be converted successfully.
    +    </p>
    +    <p>
    +      The return value is <var>True</var> if the time zone designation in <var>TZ</var> is successfully converted to a time zone offset.
    +    </p>
    +    <p>
    +      Use <var>ISOTZStrToTZOffset</var> to convert the time zone designation and raise an exception for an invalid time zone designation.
    +    </p>
    +  </descr>
    +  <seealso>
    +    <link id="ISOTZStrToTZOffset"/>
    +  </seealso>
    +</element>
    +<element name="TryISOTZStrToTZOffset.Result">
    +  <short>True if the time zone designation was converted to an offset</short>
    +</element>
    +<element name="TryISOTZStrToTZOffset.TZ">
    +  <short>time zone designation examined in the method</short>
    +</element>
    +<element name="TryISOTZStrToTZOffset.TZOffset">
    +  <short>
    +    Contains the time zone offset expressed as a positive or negative number of minutes
    +  </short>
    +</element>
    +
    +<element name="DateToISO8601">
    +  <short>Converts a TDateTime value to ISO 8601 date/time format</short>
    +  <descr>
    +    <p>
    +      <var>DateToISO8601</var> is a <var>String</var> function used to convert the <var>TDateTime</var> value in ADate to ISO 8601 date/time notation.
    +    </p>
    +    <p>
    +      <var>ADate</var> contains the native <var>TDateTime</var> value converted in the function.
    +    </p>
    +    <p>
    +      <var>AInputisUTC</var> indicates if the value in <var>ADate</var> represents a date/time value for the UTC time zone. When <var>AInputIsUTC</var> contains True, the 'Z' (Zulu time) time zone designation is used in the converted ISO 8601 value. Otherwise, the time zone is expressed as a positive or negative number of hours and minutes (such as "-04:00") in the return value.
    +    </p>
    +    <p>
    +      <var>DateToISO8601</var> calls <var>GetLocalTimeOffset</var> to determine the time zone offset in use on the local computer. The integer offset is used to adjust the value in ADate to the UTC time zone when necessary.
    +    </p>
    +    <p>
    +      The return value contains the adjusted value in ADate formatted using the notation:
    +    </p>
    +    <ul>
    +      <li>yyyy-mm-ddThh:nn:ss.zzz±hh:nn or</li>
    +      <li>yyyy-mm-ddThh:nn:ss.zzzZ for Zulu time</li>
    +    </ul>
    +    <p>
    +      Use <var>ISO8601ToDate</var> to convert the return value back to a native <var>TDateTime</var> type.
    +    </p>
    +  </descr>
    +  <seealso>
    +    <link id="ISO8601ToDate"/>
    +  </seealso>
    +</element>
    +<element name="DateToISO8601.Result">
    +  <short>Date/Time value expressed in ISO 8601 notation</short>
    +</element>``
    +<element name="DateToISO8601.ADate">
    +  <short>Native date/time value converted in the function</short>
    +</element>
    +<element name="DateToISO8601.AInputIsUTC">
    +  <short>Indicates if the date/time value is in the UTC time zone</short>
    +</element>
    +
    +<element name="ISO8601ToDate">
    +  <short>Converts a date/time value in ISO 8601 notation to a native TDateTime type</short>
    +  <descr>
    +    <p>
    +      <var>ISO8601ToDate</var> is a function used to convert a string using ISO 8601 date/time notation to a native <var>TDateTime</var> type.
    +    </p>
    +    <p>
    +      <var>DateString</var> contains the date/time value expressed using ISO 8601 notation.
    +    </p>
    +    <p>
    +      <var>ReturnUTC</var> indicates if the <var>TDateTime</var> value should be adjusted to reflect the UTC (Coordinated Universal Time) time zone. The default value for the argument is <var>True</var>.
    +    </p>
    +    <p>
    +      <var>ISO8601ToDate</var> calls the <var>TryISO8601ToDate</var> function to perform the conversion, and raises an <var>EConvertError</var> exception if <var>DateString</var> contains an invalid ISO 8601 date/time value. The return value contains the native <var>TDateTime</var> value for the timestamp (adjusted to UTC when requested).
    +    </p>
    +    <p>
    +      Use <var>DateToISO8601</var> to convert the native date/time value back to its representation using ISO 8601 date/time notation.
    +    </p>
    +  </descr>
    +  <seealso>
    +    <link id="TryISO8601ToDate"/>
    +    <link id="DateToISO8601"/>
    +  </seealso>
    +</element>
    +<element name="ISO8601ToDate.Result">
    +  <short>TDateTime value for DateString</short>
    +</element>
    +<element name="ISO8601ToDate.DateString">
    +  <short>ISO 8601-formatted date/time value examined in the function</short>
    +</element>
    +<element name="ISO8601ToDate.ReturnUTC">
    +  <short>Indicates if the return value should be adjusted to the UTC time zone</short>
    +</element>
    +
    +<element name="ISO8601ToDateDef">
    +  <short>Converts an ISO 8601 date/time string to a TDateTime type</short>
    +  <descr>
    +    <p>
    +      <var>ISO8601ToDateDef</var> is used to convert a date/time string in ISO 8601 format to its representation as a <var>TDateTime</var> value. DateString contains the ISO 8601-formatted date/time value converted in the routine. It can use one of the supported ISO 8601 date/time formats, and may contain an optional time zone offset. DateString uses the format returned from the <var>DateToISO8601</var> function. Each of the following represent the date/time for Noon on July 4, 2019:
    +    </p>
    +    <ul>
    +      <li>20190714 12:00</li>
    +      <li>2019-07-14 12:00</li>
    +      <li>20190714 12:00:00</li>
    +      <li>2019-07-14 12:00:00</li>
    +      <li>20190714T12:00</li>
    +      <li>20190714T12:00:00</li>
    +      <li>2019-07-14T12:00</li>
    +      <li>2019-07-14T12:00:00</li>
    +      <li>20190714T12:00:00-04:00</li>
    +      <li>2019-07-14T12:00:00-04:00</li>
    +    </ul>
    +    <p>
    +      Time values in DateString specified without a time zone offset are assumed to be in the local time zone.
    +    </p>
    +    <p>
    +      ReturnUTC indicates if the value in DateString is adjusted to UTC (Coordinated Universal Time) in the return value.
    +    </p>
    +    <p>
    +      aDefault contains the default TDateTime value used as the return value when DateString cannot be successfully parsed and converted.
    +    </p>
    +    <p>
    +      Please note than that the overloaded variant which uses String, Boolean, and TDateTime arguments has been deprecated. Use the variant with String, TDateTime, and Boolean arguments (in that order) instead.
    +    </p>
    +    <p>
    +      ISO8601ToDateDef calls the TryISO8601ToDate function in its implementation.
    +    </p>
    +  </descr>
    +  <seealso>
    +    <link id="DateToISO8601"/>
    +    <link id="TryISO8601ToDate"/>
    +  </seealso>
    +  <notes>
    +    <note>Are there other ISO 8601 formats that should be included in the example?</note>
    +  </notes>
    +</element>
    +<element name="ISO8601ToDateDef.Result">
    +  <short>TDateTime value for the specified ISO 8601 date/time</short>
    +</element>
    +<element name="ISO8601ToDateDef.DateString">
    +  <short>String containing the ISO 8601 date/time value converted in the function</short>
    +</element>
    +<element name="ISO8601ToDateDef.ReturnUTC">
    +  <short>Indicates if the TDateTime value should be adjusted to the UTC time zone</short>
    +</element>
    +<element name="ISO8601ToDateDef.aDefault">
    +  <short>Default TDateTime value used in the result</short>
    +</element>
    +
    +<element name="TryISO8601ToDate">
    +  <short>
    +    Attempts to convert an ISO 8601-formatted date/time value to a TDateTime type
    +  </short>
    +  <descr>
    +    <p>
    +      TryISO8601ToDate is a Boolean function which attempts to convert an ISO 8601-formatted date/time value to a TDateTime type.
    +    </p>
    +    <p>
    +      <var>DateString</var> contains the ISO 8601 date/time value converted in the function. <var>DateString</var> must contain one of the supported ISO 8601 date/time notations supported in the routine. It is separated into date, time, and time zone values, and is converted by calling both the <var>TryISOStrToDateTime</var> and <var>TryISOTZStrToTZOffset</var> functions. See <link id="TryISOStrToDateTime">TryISOStrToDateTime</link> for more information about supported ISO 8601 notations.
    +    </p>
    +    <p>
    +      <var>ReturnUTC</var> indicates if the native date/time value needs to be adjusted to the UTC (Coordinated Universal Time) time zone. The default value for the argument is <var>True</var>, and causes <var>GetLocalTimeOffset</var> to be called to get and apply the time zone offset for the local computer.
    +    </p>
    +    <p>
    +      <var>ADateTime</var> contains the native <var>TDateTime</var> value for the converted timestamp adjusted to the UTC time zone when <var>ReturnUTC</var> contains <var>True</var>.
    +    </p>
    +    <p>
    +      Use <var>DateToISO8601</var> to convert a native date/time value back to its representation in ISO 8601 notation.
    +    </p>
    +  </descr>
    +  <seealso>
    +    <link id="DateToISO8601"/>
    +  </seealso>
    +</element>
    +<element name="TryISO8601ToDate.Result">
    +  <short>True if the conversion was successful</short>
    +</element>
    +<element name="TryISO8601ToDate.DateString">
    +  <short>ISO 8601-formatted date/time value converted  in the function</short>
    +</element>
    +<element name="TryISO8601ToDate.ADateTime">
    +  <short>Stores the native date/time value from the conversion</short>
    +</element>
    +<element name="TryISO8601ToDate.ReturnUTC">
    +  <short>Indicates if the native date/time value is adjusted to the UTC time zone</short>
    +</element>
    +
     </module>
     
     <!-- dateutils -->
    
    dateutils.xml.diff (92,001 bytes)

Activities

Don Siders

2019-08-25 20:35

reporter  

dateutils.xml.diff (92,001 bytes)
Index: dateutils.xml
===================================================================
--- dateutils.xml	(revision 1640)
+++ dateutils.xml	(working copy)
@@ -117,7 +117,7 @@
 
 <!-- constant Visibility: default -->
 <element name="DaysPerYear">
-<short>Array with number of days in a year. The boolean index indicates whether it is a leap year or not.</short>
+<short>Array with number of days in a year. The Boolean index indicates whether it is a leap year or not.</short>
 </element>
 
 <!-- constant Visibility: default -->
@@ -137,7 +137,7 @@
 
 <!-- function Visibility: default -->
 <element name="DateOf">
-<short>Extract the date part from a DateTime indication.</short>
+<short>Extract the date part from a TDateTime indication.</short>
 <descr>
 <p>
 <var>DateOf</var> extracts the date part from <var>AValue</var> and returns
@@ -169,12 +169,12 @@
 
 <!-- argument Visibility: default -->
 <element name="DateOf.AValue">
-<short>Datetime to extract date from</short>
+<short>TDateTime to extract date from</short>
 </element>
 
 <!-- function Visibility: default -->
 <element name="TimeOf">
-<short>Extract the time part from a DateTime indication.</short>
+<short>Extract the time part from a TDateTime indication.</short>
 <descr>
 <p>
 <var>TimeOf</var> extracts the time part from <var>AValue</var> and returns
@@ -206,7 +206,7 @@
 
 <!-- argument Visibility: default -->
 <element name="TimeOf.AValue">
-<short>Datetime to extract time from</short>
+<short>TDateTime to extract time from</short>
 </element>
 
 <!-- function Visibility: default -->
@@ -213,7 +213,7 @@
 <element name="IsInLeapYear">
 <short>Determine whether a date is in a leap year.</short>
 <descr>
-<var>IsInLeapYear</var> returns <var>True</var> if the year part of <var>AValue</var> 
+<var>IsInLeapYear</var> returns <var>True</var> if the year part of <var>AValue</var>
 is leap year, or <var>False</var> if not.
 </descr>
 <seealso>
@@ -358,8 +358,8 @@
 <p>
 <var>IsValidTime</var> returns <var>True</var> when the values
 <var>AYear</var>, <var>AMonth</var>, <var>ADay</var>,
-<var>AHour</var>, <var>AMinute</var>, <var>ASecond</var> 
-and <var>AMilliSecond</var> form a valid date and time indication. 
+<var>AHour</var>, <var>AMinute</var>, <var>ASecond</var>
+and <var>AMilliSecond</var> form a valid date and time indication.
 If one of the values is not valid (e.g. the seconds are larger than 60), <var>False</var> is returned.
 </p>
 <p>
@@ -464,7 +464,7 @@
 <descr>
 <p>
 <var>IsValidDateWeek</var> returns <var>True</var> if <var>AYear</var>,
-<var>AWeekOfYear</var> and <var>ADayOfWeek</var> form a valid date indication, 
+<var>AWeekOfYear</var> and <var>ADayOfWeek</var> form a valid date indication,
 or <var>False</var> otherwise.
 </p>
 <p>
@@ -511,7 +511,7 @@
 <descr>
 <p>
 <var>IsValidDateMonthWeek</var> returns <var>True</var> if <var>AYear</var>,
-<var>AMonth</var> <var>AWeekOfMonth</var> and <var>ADayOfWeek</var> form a valid date indication, 
+<var>AMonth</var> <var>AWeekOfMonth</var> and <var>ADayOfWeek</var> form a valid date indication,
 or <var>False</var> otherwise.
 </p>
 <p>
@@ -569,7 +569,7 @@
 <remark>
 The first week of the year is determined according to the ISO 8601 standard:
 It is the first week that has at least 4 days in it, i.e. it includes a
-thursday.
+Thursday.
 </remark>
 </descr>
 <seealso>
@@ -603,7 +603,7 @@
 <remark>
 The first week of the year is determined according to the ISO 8601 standard:
 It is the first week that has at least 4 days in it, i.e. it includes a
-thursday.
+Thursday.
 </remark>
 </descr>
 <seealso>
@@ -660,7 +660,7 @@
 <short>Number of days in a particular year.</short>
 <descr>
 <p>
-<var>DaysInAYear</var> returns the number of weeks in the year 
+<var>DaysInAYear</var> returns the number of weeks in the year
 <var>AYear</var>. The return value is either 365 or 366.
 </p>
 </descr>
@@ -719,7 +719,7 @@
 <descr>
 <p>
 <var>DaysInYMonth</var> returns the number of days in the month
-<var>AMonth</var> in the year<var>AYear</var>. 
+<var>AMonth</var> in the year<var>AYear</var>.
 The return value takes leap years into account.
 </p>
 </descr>
@@ -997,7 +997,7 @@
 
 <!-- function Visibility: default -->
 <element name="DayOf">
-<short>Extract the day (of month) part from a DateTime value</short>
+<short>Extract the day (of month) part from a TDateTime value</short>
 <descr>
 <p>
 <var>DayOf</var> returns the day of the month part of the <var>AValue</var> date/time
@@ -1030,7 +1030,7 @@
 
 <!-- function Visibility: default -->
 <element name="HourOf">
-<short>Extract the hour part from a DateTime value.</short>
+<short>Extract the hour part from a TDateTime value.</short>
 <descr>
 <p>
 <var>HourOf</var> returns the hour of the day  part of the <var>AValue</var> date/time
@@ -1063,7 +1063,7 @@
 
 <!-- function Visibility: default -->
 <element name="MinuteOf">
-<short>Extract the minute part from a DateTime value.</short>
+<short>Extract the minute part from a TDateTime value.</short>
 <descr>
 <p>
 <var>MinuteOf</var> returns the minute of the hour part of the <var>AValue</var> date/time
@@ -1096,7 +1096,7 @@
 
 <!-- function Visibility: default -->
 <element name="SecondOf">
-<short>Extract the second part from a DateTime value.</short>
+<short>Extract the second part from a TDateTime value.</short>
 <descr>
 <p>
 <var>SecondOf</var> returns the second of the minute part of the <var>AValue</var> date/time
@@ -1129,7 +1129,7 @@
 
 <!-- function Visibility: default -->
 <element name="MilliSecondOf">
-<short>Extract the millisecond part from a DateTime value.</short>
+<short>Extract the millisecond part from a TDateTime value.</short>
 <descr>
 <p>
 <var>MillisecondOf</var> returns the second of the minute part of the <var>AValue</var> date/time
@@ -1165,7 +1165,7 @@
 <short>Return the first day of the year, given a date in this year.</short>
 <descr>
 <var>StartOfTheYear</var> extracts the year part of <var>AValue</var> and
-returns   a <var>TDateTime</var> value with the date of the first day of that year (January 1), as the 
+returns   a <var>TDateTime</var> value with the date of the first day of that year (January 1), as the
 <link id="StartOfAYear"/> function.
 </descr>
 <seealso>
@@ -1190,10 +1190,10 @@
 
 <!-- function Visibility: default -->
 <element name="EndOfTheYear">
-<short>Calculate a DateTime value representing the last day of a year, given a date in that year.</short>
+<short>Calculate a TDateTime value representing the last day of a year, given a date in that year.</short>
 <descr>
 <var>EndOfTheYear</var> extracts the year part of <var>AValue</var> and
-returns  a <var>TDateTime</var> value with the date of the last day of that year (December 31), as the 
+returns  a <var>TDateTime</var> value with the date of the last day of that year (December 31), as the
 <link id="EndOfAYear"/> function.
 </descr>
 <seealso>
@@ -1210,7 +1210,7 @@
 
 <!-- function result Visibility: default -->
 <element name="EndOfTheYear.Result">
-<short>DateTime value representing the end of the year in which <var>AValue</var> falls.</short>
+<short>TDateTime value representing the end of the year in which <var>AValue</var> falls.</short>
 </element>
 
 <!-- argument Visibility: default -->
@@ -1248,9 +1248,9 @@
 
 <!-- function Visibility: default -->
 <element name="EndOfAYear">
-<short>Calculate a DateTime value representing the last day of a year</short>
+<short>Calculate a TDateTime value representing the last day of a year</short>
 <descr>
-<var>StartOfAYear</var> 
+<var>StartOfAYear</var>
 returns a <var>TDateTime</var> value with the date of the last day of the year <var>AYear</var> (December 31).
 </descr>
 <seealso>
@@ -1267,7 +1267,7 @@
 
 <!-- function result Visibility: default -->
 <element name="EndOfAYear.Result">
-<short>DateTime representing the last day of <var>AYear</var>.</short>
+<short>TDateTime representing the last day of <var>AYear</var>.</short>
 </element>
 
 <!-- argument Visibility: default -->
@@ -1307,7 +1307,7 @@
 
 <!-- function Visibility: default -->
 <element name="EndOfTheMonth">
-<short>Calculate a DateTime value representing the last day of the month, given a day in that month.</short>
+<short>Calculate a TDateTime value representing the last day of the month, given a day in that month.</short>
 <descr>
 <var>EndOfTheMonth</var> extracts the year and month parts of <var>AValue</var> and
 returns  a <var>TDateTime</var> value with the date of the first day of that year
@@ -1327,7 +1327,7 @@
 
 <!-- function result Visibility: default -->
 <element name="EndOfTheMonth.Result">
-<short>DateTime value representing the last day of the month in which <var>AVAlue</var> is a day.</short>
+<short>TDateTime value representing the last day of the month in which <var>AVAlue</var> is a day.</short>
 </element>
 
 <!-- argument Visibility: default -->
@@ -1372,7 +1372,7 @@
 
 <!-- function Visibility: default -->
 <element name="EndOfAMonth">
-<short>Calculate a datetime value representing the last day of the indicated month</short>
+<short>Calculate a TDateTime value representing the last day of the indicated month</short>
 <descr>
 <var>EndOfAMonth</var> e
 returns  a <var>TDateTime</var> value with the date of the last day of the
@@ -1392,7 +1392,7 @@
 
 <!-- function result Visibility: default -->
 <element name="EndOfAMonth.Result">
-<short>DateTime value indicating the last day of <var>AMonth</var> in year <var>AYear</var>.</short>
+<short>TDateTime value indicating the last day of <var>AMonth</var> in year <var>AYear</var>.</short>
 </element>
 
 <!-- argument Visibility: default -->
@@ -1438,7 +1438,7 @@
 
 <!-- function Visibility: default -->
 <element name="EndOfTheWeek">
-<short>Calculate a DateTime value which represents the end of a week, given a date in that week.</short>
+<short>Calculate a TDateTime value which represents the end of a week, given a date in that week.</short>
 <descr>
 <var>EndOfTheWeek</var> extracts the year and week parts of <var>AValue</var> and
 returns  a <var>TDateTime</var> value with the date of the last day of that
@@ -1459,7 +1459,7 @@
 
 <!-- function result Visibility: default -->
 <element name="EndOfTheWeek.Result">
-<short>DateTime value representing the last day of the week in which <var>AVAlue</var> is a day.</short>
+<short>TDateTime value representing the last day of the week in which <var>AVAlue</var> is a day.</short>
 </element>
 
 <!-- argument Visibility: default -->
@@ -1472,7 +1472,7 @@
 <short>Return a day of the week, given a year, week and day in the week.</short>
 <descr>
 <p>
-<var>StartOfAWeek</var> 
+<var>StartOfAWeek</var>
 returns  a <var>TDateTime</var> value with the date of the indicated day of the
 week indicated by the <var>AYear</var>, <var>AWeek</var>,
 <var>ADayOfWeek</var> values.
@@ -1520,7 +1520,7 @@
 <descr>
 <p>
 <var>EndOfAWeek</var> returns  a <var>TDateTime</var> value with the date of the
-last moment (23:59:59:999) on the indicated day of the week indicated by the 
+last moment (23:59:59:999) on the indicated day of the week indicated by the
 <var>AYear</var>, <var>AWeek</var>, <var>ADayOfWeek</var> values.
 </p>
 <p>
@@ -1562,11 +1562,11 @@
 
 <!-- function Visibility: default -->
 <element name="StartOfTheDay">
-<short>Calculate the start of the day as a DateTime value, given a moment in the day.</short>
+<short>Calculate the start of the day as a TDateTime value, given a moment in the day.</short>
 <descr>
 <p>
 <var>StartOfTheDay</var> extracts the date part of <var>AValue</var> and
-returns a <var>TDateTime</var> value with the date/time indication of 
+returns a <var>TDateTime</var> value with the date/time indication of
 the start (0:0:0.000) of this day.
 </p>
 </descr>
@@ -1590,21 +1590,21 @@
 
 <!-- function result Visibility: default -->
 <element name="StartOfTheDay.Result">
-<short>Start of the day (00:00) as DateTime value</short>
+<short>Start of the day (00:00) as TDateTime value</short>
 </element>
 
 <!-- argument Visibility: default -->
 <element name="StartOfTheDay.AValue">
-<short>DateTime from which to calculate start of the day.</short>
+<short>TDateTime from which to calculate start of the day.</short>
 </element>
 
 <!-- function Visibility: default -->
 <element name="EndOfTheDay">
-<short>Calculate a datetime value that represents the end of a given day.</short>
+<short>Calculate a TDateTime value that represents the end of a given day.</short>
 <descr>
 <p>
 <var>EndOfTheDay</var> extracts the date part of <var>AValue</var> and
-returns a <var>TDateTime</var> value with the date/time indication of 
+returns a <var>TDateTime</var> value with the date/time indication of
 the last moment (23:59:59.999) of this day.
 </p>
 </descr>
@@ -1628,7 +1628,7 @@
 
 <!-- function result Visibility: default -->
 <element name="EndOfTheDay.Result">
-<short>A datetime value representing the time 23:59:59.999 of the day <var>AValue</var>.</short>
+<short>A TDateTime value representing the time 23:59:59.999 of the day <var>AValue</var>.</short>
 </element>
 
 <!-- argument Visibility: default -->
@@ -1638,11 +1638,11 @@
 
 <!-- function Visibility: default -->
 <element name="StartOfADay">
-<short>Return the start of a day as a DateTime value, given a day indication</short>
+<short>Return the start of a day as a TDateTime value, given a day indication</short>
 <descr>
 <p>
-<var>StartOfADay</var> 
-returns a <var>TDateTime</var> value with the date/time indication of 
+<var>StartOfADay</var>
+returns a <var>TDateTime</var> value with the date/time indication of
 the start (0:0:0.000) of the day given by <var>AYear</var>,
 <var>AMonth</var>, <var>ADay</var>.
 </p>
@@ -1670,7 +1670,7 @@
 
 <!-- function result Visibility: default -->
 <element name="StartOfADay.Result">
-<short>Start of the given day as DateTime</short>
+<short>Start of the given day as TDateTime</short>
 </element>
 
 <!-- argument Visibility: default -->
@@ -1695,11 +1695,11 @@
 
 <!-- function Visibility: default -->
 <element name="EndOfADay">
-<short>Calculates a DateTime value representing the end of a specified day</short>
+<short>Calculates a TDateTime value representing the end of a specified day</short>
 <descr>
 <p>
-<var>EndOfADay</var> 
-returns a <var>TDateTime</var> value with the date/time indication of 
+<var>EndOfADay</var>
+returns a <var>TDateTime</var> value with the date/time indication of
 the last moment  (23:59:59.999) of the day given by <var>AYear</var>,
 <var>AMonth</var>, <var>ADay</var>.
 </p>
@@ -1727,7 +1727,7 @@
 
 <!-- function result Visibility: default -->
 <element name="EndOfADay.Result">
-<short>A datetime value representing the time 23:59:59.999 of the given day.</short>
+<short>A TDateTime value representing the time 23:59:59.999 of the given day.</short>
 </element>
 
 <!-- argument Visibility: default -->
@@ -1752,7 +1752,7 @@
 
 <!-- function Visibility: default -->
 <element name="MonthOfTheYear">
-<short>Extract the month of a DateTime indication.</short>
+<short>Extract the month of a TDateTime indication.</short>
 <descr>
 <p>
 <var>MonthOfTheYear</var> extracts the month part of <var>Avalue</var> and
@@ -1786,7 +1786,7 @@
 
 <!-- function Visibility: default -->
 <element name="WeekOfTheYear">
-<short>Extract the week of the year (and optionally year) of a DateTime indication.</short>
+<short>Extract the week of the year (and optionally year) of a TDateTime indication.</short>
 <descr>
 <p>
 <var>WeekOfTheYear</var> extracts the week of the year from <var>Avalue</var> and
@@ -1793,7 +1793,7 @@
 returns it, and optionally returns the year as well. It returns the same value as <link id="WeekOf"/>.
 </p>
 <remark>
-Note that weeks are numbered from 1 using the ISO 8601 standard, and the day of the week as well. 
+Note that weeks are numbered from 1 using the ISO 8601 standard, and the day of the week as well.
 This means that the year may not be the same as the year part of the date, since the week may
 start in the previous year as the first week of the year is the week with at
 least 4 days in it.
@@ -1857,7 +1857,7 @@
 
 <!-- argument Visibility: default -->
 <element name="DayOfTheYear.AValue">
-<short>DateTime to extract the day of the year from.</short>
+<short>TDateTime to extract the day of the year from.</short>
 </element>
 
 <!-- function Visibility: default -->
@@ -1867,7 +1867,7 @@
 <p>
 <var>HourOfTheYear</var> returns the number of hours that have passed since
 the start of the year (January 1, 00:00:00) till the moment indicated by
-<var>AValue</var>. This is a zero-based number, i.e. 
+<var>AValue</var>. This is a zero-based number, i.e.
 January 1 00:59:59 will return 0.
 </p>
 <p>
@@ -1890,7 +1890,7 @@
 
 <!-- argument Visibility: default -->
 <element name="HourOfTheYear.AValue">
-<short>DateTime value for which to calculate the hour of the year</short>
+<short>TDateTime value for which to calculate the hour of the year</short>
 </element>
 
 <!-- function Visibility: default -->
@@ -1900,7 +1900,7 @@
 <p>
 <var>MinuteOfTheYear</var> returns the number of minutes that have passed since
 the start of the year (January 1, 00:00:00) till the moment indicated by
-<var>AValue</var>. This is a zero-based number, i.e. 
+<var>AValue</var>. This is a zero-based number, i.e.
 January 1 00:00:59 will return 0.
 </p>
 <p>
@@ -1934,7 +1934,7 @@
 <p>
 <var>SecondOfTheYear</var> returns the number of seconds that have passed since
 the start of the year (January 1, 00:00:00) till the moment indicated by
-<var>AValue</var>. This is a zero-based number, i.e. 
+<var>AValue</var>. This is a zero-based number, i.e.
 January 1 00:00:00.999 will return 0.
 </p>
 <p>
@@ -1968,7 +1968,7 @@
 <p>
 <var>MilliSecondOfTheYear</var> returns the number of milliseconds that have passed since
 the start of the year (January 1, 00:00:00.000) till the moment indicated by
-<var>AValue</var>. This is a zero-based number, i.e. 
+<var>AValue</var>. This is a zero-based number, i.e.
 January 1 00:00:00.000 will return 0.
 </p>
 <p>
@@ -1997,15 +1997,15 @@
 
 <!-- function Visibility: default -->
 <element name="WeekOfTheMonth">
-<short>Extract the week of the month (and optionally month and year) from a DateTime value</short>
+<short>Extract the week of the month (and optionally month and year) from a TDateTime value</short>
 <descr>
 <p>
 <var>WeekOfTheMonth</var> extracts the week of the month from <var>Avalue</var> and
 returns it, and optionally returns the year and month as well (in
-<var>AYear</var>, <var>AMonth</var> respectively). 
+<var>AYear</var>, <var>AMonth</var> respectively).
 </p>
 <remark>
-Note that weeks are numbered from 1 using the ISO 8601 standard, and the day of the week as well. 
+Note that weeks are numbered from 1 using the ISO 8601 standard, and the day of the week as well.
 This means that the year and month may not be the same as the year part of the date, since the week may
 start in the previous year as the first week of the year is the week with at least 4 days in it.
 </remark>
@@ -2028,7 +2028,7 @@
 
 <!-- argument Visibility: default -->
 <element name="WeekOfTheMonth.AValue">
-<short>Datetime value of which to calculate the week, month and year.</short>
+<short>TDateTime value of which to calculate the week, month and year.</short>
 </element>
 
 <!-- argument Visibility: default -->
@@ -2043,7 +2043,7 @@
 
 <!-- function Visibility: default -->
 <element name="DayOfTheMonth">
-<short>Extract the day (of month) part of a DateTime value</short>
+<short>Extract the day (of month) part of a TDateTime value</short>
 <descr>
 <p>
 <var>DayOfTheMonth</var> returns the number of days that have passed since
@@ -2072,7 +2072,7 @@
 
 <!-- argument Visibility: default -->
 <element name="DayOfTheMonth.AValue">
-<short>Datetime value to extract day from.</short>
+<short>TDateTime value to extract day from.</short>
 </element>
 
 <!-- function Visibility: default -->
@@ -2082,7 +2082,7 @@
 <p>
 <var>HourOfTheMonth</var> returns the number of hours that have passed since
 the start of the month till the moment indicated by
-<var>AValue</var>. This is a zero-based number, i.e. 
+<var>AValue</var>. This is a zero-based number, i.e.
 00:59:59 on the first day of the month will return 0.
 </p>
 <p>
@@ -2105,7 +2105,7 @@
 
 <!-- argument Visibility: default -->
 <element name="HourOfTheMonth.AValue">
-<short>DateTime value for which to calculate the hour of the month.</short>
+<short>TDateTime value for which to calculate the hour of the month.</short>
 </element>
 
 <!-- function Visibility: default -->
@@ -2115,7 +2115,7 @@
 <p>
 <var>MinuteOfTheMonth</var> returns the number of minutes that have passed since
 the start of the Month (00:00:00) till the moment indicated by
-<var>AValue</var>. This is a zero-based number, i.e. 
+<var>AValue</var>. This is a zero-based number, i.e.
 00:00:59 on the first day of the month will return 0.
 </p>
 <p>
@@ -2149,7 +2149,7 @@
 <p>
 <var>SecondOfTheMonth</var> returns the number of seconds that have passed since
 the start of the month (00:00:00) till the moment indicated by
-<var>AValue</var>. This is a zero-based number, i.e. 
+<var>AValue</var>. This is a zero-based number, i.e.
 00:00:00.999 on the first day of the month will return 0.
 </p>
 <p>
@@ -2182,7 +2182,7 @@
 <p>
 <var>MilliSecondOfTheMonth</var> returns the number of milliseconds that have passed since
 the start of the month (00:00:00.000) till the moment indicated by
-<var>AValue</var>. This is a zero-based number, i.e. 
+<var>AValue</var>. This is a zero-based number, i.e.
 00:00:00.000  on the first of the month will return 0.
 </p>
 <p>
@@ -2211,7 +2211,7 @@
 
 <!-- function Visibility: default -->
 <element name="DayOfTheWeek">
-<short>Extracts the day of the week from a DateTime value</short>
+<short>Extracts the day of the week from a TDateTime value</short>
 <descr>
 <p>
 <var>DayOfTheWeek</var> returns the number of days that have passed since
@@ -2238,7 +2238,7 @@
 
 <!-- argument Visibility: default -->
 <element name="DayOfTheWeek.AValue">
-<short>DateTime to extract the day of the week from.</short>
+<short>TDateTime to extract the day of the week from.</short>
 </element>
 
 <!-- function Visibility: default -->
@@ -2248,7 +2248,7 @@
 <p>
 <var>HourOfTheWeek</var> returns the number of hours that have passed since
 the start of the Week till the moment indicated by
-<var>AValue</var>. This is a zero-based number, i.e. 
+<var>AValue</var>. This is a zero-based number, i.e.
 00:59:59 on the first day of the week will return 0.
 </p>
 <p>
@@ -2273,7 +2273,7 @@
 
 <!-- argument Visibility: default -->
 <element name="HourOfTheWeek.AValue">
-<short>DateTime value for which to calculate the hour of the week.</short>
+<short>TDateTime value for which to calculate the hour of the week.</short>
 </element>
 
 <!-- function Visibility: default -->
@@ -2283,7 +2283,7 @@
 <p>
 <var>MinuteOfTheWeek</var> returns the number of minutes that have passed since
 the start of the week (00:00:00) till the moment indicated by
-<var>AValue</var>. This is a zero-based number, i.e. 
+<var>AValue</var>. This is a zero-based number, i.e.
 00:00:59 on the first day of the week will return 0.
 </p>
 <p>
@@ -2319,7 +2319,7 @@
 <p>
 <var>SecondOfTheWeek</var> returns the number of seconds that have passed since
 the start of the week (00:00:00) till the moment indicated by
-<var>AValue</var>. This is a zero-based number, i.e. 
+<var>AValue</var>. This is a zero-based number, i.e.
 00:00:00.999 on the first day of the week will return 0.
 </p>
 <p>
@@ -2356,7 +2356,7 @@
 <p>
 <var>MilliSecondOfTheWeek</var> returns the number of milliseconds that have passed since
 the start of the Week (00:00:00.000) till the moment indicated by
-<var>AValue</var>. This is a zero-based number, i.e. 
+<var>AValue</var>. This is a zero-based number, i.e.
 00:00:00.000  on the first of the Week will return 0.
 </p>
 <p>
@@ -2389,12 +2389,12 @@
 
 <!-- function Visibility: default -->
 <element name="HourOfTheDay">
-<short>Calculate the hour of a given DateTime value</short>
+<short>Calculate the hour of a given TDateTime value</short>
 <descr>
 <p>
 <var>HourOfTheDay</var> returns the number of hours that have passed since
 the start of the day till the moment indicated by
-<var>AValue</var>. This is a zero-based number, i.e. 
+<var>AValue</var>. This is a zero-based number, i.e.
 00:59:59 will return 0.
 </p>
 </descr>
@@ -2416,7 +2416,7 @@
 
 <!-- argument Visibility: default -->
 <element name="HourOfTheDay.AValue">
-<short>DateTime to calculate the hour of.</short>
+<short>TDateTime to calculate the hour of.</short>
 </element>
 
 <!-- function Visibility: default -->
@@ -2426,7 +2426,7 @@
 <p>
 <var>MinuteOfTheDay</var> returns the number of minutes that have passed since
 the start of the Day (00:00:00) till the moment indicated by
-<var>AValue</var>. This is a zero-based number, i.e. 
+<var>AValue</var>. This is a zero-based number, i.e.
 00:00:59 will return 0.
 </p>
 <p>
@@ -2461,7 +2461,7 @@
 <p>
 <var>SecondOfTheDay</var> returns the number of seconds that have passed since
 the start of the Day (00:00:00) till the moment indicated by
-<var>AValue</var>. This is a zero-based number, i.e. 
+<var>AValue</var>. This is a zero-based number, i.e.
 00:00:00.999 return 0.
 </p>
 <p>
@@ -2497,7 +2497,7 @@
 <p>
 <var>MilliSecondOfTheDay</var> returns the number of milliseconds that have passed since
 the start of the Day (00:00:00.000) till the moment indicated by
-<var>AValue</var>. This is a zero-based number, i.e. 
+<var>AValue</var>. This is a zero-based number, i.e.
 00:00:00.000 will return 0.
 </p>
 <p>
@@ -2534,7 +2534,7 @@
 <p>
 <var>MinuteOfTheHour</var> returns the number of minutes that have passed since
 the start of the Hour (HH:00:00) till the moment indicated by
-<var>AValue</var>. This is a zero-based number, i.e. 
+<var>AValue</var>. This is a zero-based number, i.e.
 HH:00:59 will return 0.
 </p>
 </descr>
@@ -2566,7 +2566,7 @@
 <p>
 <var>SecondOfTheHour</var> returns the number of seconds that have passed since
 the start of the Hour (HH:00:00) till the moment indicated by
-<var>AValue</var>. This is a zero-based number, i.e. 
+<var>AValue</var>. This is a zero-based number, i.e.
 HH:00:00.999 return 0.
 </p>
 <p>
@@ -2601,7 +2601,7 @@
 <p>
 <var>MilliSecondOfTheHour</var> returns the number of milliseconds that have passed since
 the start of the Hour (HH:00:00.000) till the moment indicated by
-<var>AValue</var>. This is a zero-based number, i.e. 
+<var>AValue</var>. This is a zero-based number, i.e.
 HH:00:00.000 will return 0.
 </p>
 <p>
@@ -2637,7 +2637,7 @@
 <p>
 <var>SecondOfTheMinute</var> returns the number of seconds that have passed since
 the start of the minute (HH:MM:00) till the moment indicated by
-<var>AValue</var>. This is a zero-based number, i.e. 
+<var>AValue</var>. This is a zero-based number, i.e.
 HH:MM:00.999 return 0.
 </p>
 </descr>
@@ -2669,7 +2669,7 @@
 <p>
 <var>MilliSecondOfTheMinute</var> returns the number of milliseconds that have passed since
 the start of the Minute (HH:MM:00.000) till the moment indicated by
-<var>AValue</var>. This is a zero-based number, i.e. 
+<var>AValue</var>. This is a zero-based number, i.e.
 HH:MM:00.000 will return 0.
 </p>
 <p>
@@ -2705,7 +2705,7 @@
 <p>
 <var>MilliSecondOfTheSecond</var> returns the number of milliseconds that have passed since
 the start of the second (HH:MM:SS.000) till the moment indicated by
-<var>AValue</var>. This is a zero-based number, i.e. 
+<var>AValue</var>. This is a zero-based number, i.e.
 HH:MM:SS.000 will return 0.
 </p>
 </descr>
@@ -2733,10 +2733,10 @@
 
 <!-- function Visibility: default -->
 <element name="WithinPastYears">
-<short>Check whether two datetimes are only a number of years apart</short>
+<short>Check whether two TDateTimes are only a number of years apart</short>
 <descr>
 <p>
-<var>WithinPastYears</var> compares the timestamps <var>ANow</var> and <var>AThen</var> 
+<var>WithinPastYears</var> compares the timestamps <var>ANow</var> and <var>AThen</var>
 and returns <var>True</var> if the difference between them is at most
 <var>AYears</var> years apart, or <var>False</var> if they are further
 apart.
@@ -2783,10 +2783,10 @@
 
 <!-- function Visibility: default -->
 <element name="WithinPastMonths">
-<short>Check whether two datetimes are only a number of months apart</short>
+<short>Check whether two TDateTimes are only a number of months apart</short>
 <descr>
 <p>
-<var>WithinPastMonths</var> compares the timestamps <var>ANow</var> and <var>AThen</var> 
+<var>WithinPastMonths</var> compares the timestamps <var>ANow</var> and <var>AThen</var>
 and returns <var>True</var> if the difference between them is at most
 <var>AMonths</var> months apart, or <var>False</var> if they are further
 apart.
@@ -2833,10 +2833,10 @@
 
 <!-- function Visibility: default -->
 <element name="WithinPastWeeks">
-<short>Check whether two datetimes are only a number of weeks apart</short>
+<short>Check whether two TDateTimes are only a number of weeks apart</short>
 <descr>
 <p>
-<var>WithinPastWeeks</var> compares the timestamps <var>ANow</var> and <var>AThen</var> 
+<var>WithinPastWeeks</var> compares the timestamps <var>ANow</var> and <var>AThen</var>
 and returns <var>True</var> if the difference between them is at most
 <var>AWeeks</var> weeks apart, or <var>False</var> if they are further
 apart.
@@ -2883,10 +2883,10 @@
 
 <!-- function Visibility: default -->
 <element name="WithinPastDays">
-<short>Check whether two datetimes are only a number of days apart</short>
+<short>Check whether two TDateTimes are only a number of days apart</short>
 <descr>
 <p>
-<var>WithinPastDays</var> compares the timestamps <var>ANow</var> and <var>AThen</var> 
+<var>WithinPastDays</var> compares the timestamps <var>ANow</var> and <var>AThen</var>
 and returns <var>True</var> if the difference between them is at most
 <var>ADays</var> days apart, or <var>False</var> if they are further
 apart.
@@ -2933,10 +2933,10 @@
 
 <!-- function Visibility: default -->
 <element name="WithinPastHours">
-<short>Check whether two datetimes are only a number of hours apart</short>
+<short>Check whether two TDateTimes are only a number of hours apart</short>
 <descr>
 <p>
-<var>WithinPastHours</var> compares the timestamps <var>ANow</var> and <var>AThen</var> 
+<var>WithinPastHours</var> compares the timestamps <var>ANow</var> and <var>AThen</var>
 and returns <var>True</var> if the difference between them is at most
 <var>AHours</var> hours apart, or <var>False</var> if they are further
 apart.
@@ -2983,10 +2983,10 @@
 
 <!-- function Visibility: default -->
 <element name="WithinPastMinutes">
-<short>Check whether two datetimes are only a number of minutes apart</short>
+<short>Check whether two TDateTimes are only a number of minutes apart</short>
 <descr>
 <p>
-<var>WithinPastMinutes</var> compares the timestamps <var>ANow</var> and <var>AThen</var> 
+<var>WithinPastMinutes</var> compares the timestamps <var>ANow</var> and <var>AThen</var>
 and returns <var>True</var> if the difference between them is at most
 <var>AMinutes</var> minutes apart, or <var>False</var> if they are further
 apart.
@@ -3033,10 +3033,10 @@
 
 <!-- function Visibility: default -->
 <element name="WithinPastSeconds">
-<short>Check whether two datetimes are only a number of seconds apart</short>
+<short>Check whether two TDateTimes are only a number of seconds apart</short>
 <descr>
 <p>
-<var>WithinPastSeconds</var> compares the timestamps <var>ANow</var> and <var>AThen</var> 
+<var>WithinPastSeconds</var> compares the timestamps <var>ANow</var> and <var>AThen</var>
 and returns <var>True</var> if the difference between them is at most
 <var>ASeconds</var> seconds apart, or <var>False</var> if they are further
 apart.
@@ -3083,10 +3083,10 @@
 
 <!-- function Visibility: default -->
 <element name="WithinPastMilliSeconds">
-<short>Check whether two datetimes are only a number of milliseconds apart</short>
+<short>Check whether two TDateTimes are only a number of milliseconds apart</short>
 <descr>
 <p>
-<var>WithinPastMilliSeconds</var> compares the timestamps <var>ANow</var> and <var>AThen</var> 
+<var>WithinPastMilliSeconds</var> compares the timestamps <var>ANow</var> and <var>AThen</var>
 and returns <var>True</var> if the difference between them is at most
 <var>AMilliSeconds</var> milliseconds apart, or <var>False</var> if they are further
 apart.
@@ -3133,7 +3133,7 @@
 
 <!-- function Visibility: default -->
 <element name="YearsBetween">
-<short>Calculate the number of whole years between two DateTime values</short>
+<short>Calculate the number of whole years between two TDateTime values</short>
 <descr>
 <var>YearsBetween</var> returns the number of whole years between
 <var>ANow</var> and <var>AThen</var>. This number is an approximation,
@@ -3170,7 +3170,7 @@
 
 <!-- function Visibility: default -->
 <element name="MonthsBetween">
-<short>Calculate the number of whole months between two DateTime values</short>
+<short>Calculate the number of whole months between two TDateTime values</short>
 <descr>
 <var>MonthsBetween</var> returns the number of whole months between
 <var>ANow</var> and <var>AThen</var>. This number is an approximation,
@@ -3206,10 +3206,10 @@
 
 <!-- function Visibility: default -->
 <element name="WeeksBetween">
-<short>Calculate the number of whole weeks between two DateTime values</short>
+<short>Calculate the number of whole weeks between two TDateTime values</short>
 <descr>
 <var>WeeksBetween</var> returns the number of whole weeks between
-<var>ANow</var> and <var>AThen</var>. 
+<var>ANow</var> and <var>AThen</var>.
 This means the fractional part of a Week is dropped.
 </descr>
 <seealso>
@@ -3241,10 +3241,10 @@
 
 <!-- function Visibility: default -->
 <element name="DaysBetween">
-<short>Number of whole days between two DateTime values.</short>
+<short>Number of whole days between two TDateTime values.</short>
 <descr>
 <var>DaysBetween</var> returns the number of whole days between
-<var>ANow</var> and <var>AThen</var>. 
+<var>ANow</var> and <var>AThen</var>.
 This means the fractional part of a day (hours, minutes, etc.) is dropped.
 </descr>
 <seealso>
@@ -3276,10 +3276,10 @@
 
 <!-- function Visibility: default -->
 <element name="HoursBetween">
-<short>Calculate the number of whole hours between two DateTime values.</short>
+<short>Calculate the number of whole hours between two TDateTime values.</short>
 <descr>
 <var>HoursBetween</var> returns the number of whole hours between
-<var>ANow</var> and <var>AThen</var>. 
+<var>ANow</var> and <var>AThen</var>.
 This means the fractional part of an hour (minutes,seconds etc.) is dropped.
 </descr>
 <seealso>
@@ -3301,20 +3301,20 @@
 
 <!-- argument Visibility: default -->
 <element name="HoursBetween.ANow">
-<short>First DateTime value</short>
+<short>First TDateTime value</short>
 </element>
 
 <!-- argument Visibility: default -->
 <element name="HoursBetween.AThen">
-<short>Second DateTime value</short>
+<short>Second TDateTime value</short>
 </element>
 
 <!-- function Visibility: default -->
 <element name="MinutesBetween">
-<short>Calculate the number of whole minutes between two DateTime values.</short>
+<short>Calculate the number of whole minutes between two TDateTime values.</short>
 <descr>
 <var>MinutesBetween</var> returns the number of whole minutes between
-<var>ANow</var> and <var>AThen</var>. 
+<var>ANow</var> and <var>AThen</var>.
 This means the fractional part of a minute (seconds, milliseconds etc.) is dropped.
 </descr>
 <seealso>
@@ -3346,10 +3346,10 @@
 
 <!-- function Visibility: default -->
 <element name="SecondsBetween">
-<short>Calculate the number of whole seconds between two DateTime values.</short>
+<short>Calculate the number of whole seconds between two TDateTime values.</short>
 <descr>
 <var>SecondsBetween</var> returns the number of whole seconds between
-<var>ANow</var> and <var>AThen</var>. 
+<var>ANow</var> and <var>AThen</var>.
 This means the fractional part of a second (milliseconds etc.) is dropped.
 </descr>
 <seealso>
@@ -3381,10 +3381,10 @@
 
 <!-- function Visibility: default -->
 <element name="MilliSecondsBetween">
-<short>Calculate the number of whole milliseconds between two DateTime values.</short>
+<short>Calculate the number of whole milliseconds between two TDateTime values.</short>
 <descr>
 <var>MillisSecondsBetween</var> returns the number of whole milliseconds between
-<var>ANow</var> and <var>AThen</var>. 
+<var>ANow</var> and <var>AThen</var>.
 This means a fractional part of a millisecond is dropped.
 </descr>
 <seealso>
@@ -3414,14 +3414,37 @@
 <short>Second moment in time</short>
 </element>
 
+<!-- procedure Visibility: default -->
+<element name="PeriodBetween">
+<short>Return the period (in years, months, days) between two dates</short>
+<descr>
+<p>
+<var>PeriodBetween</var> returns the timespan between 2 dates (<var>ANow</var> and
+<var>AThen</var>), expressed as a number of years, months and days  in the parameters
+<var>Years</var>, <var>months</var> and <var>days</var>.
+Only complete years, months and days are reported.
+</p>
+<p>
+If <var>ANow</var> is before <var>AThen</var>, their values are reversed so
+the result is always positive.
+</p>
+</descr>
+<seealso>
+<link id="YearsBetween"/>
+<link id="MonthsBetween"/>
+<link id="WeeksBetween"/>
+<link id="DaysBetween"/>
+</seealso>
+</element>
+
 <!-- function Visibility: default -->
 <element name="YearSpan">
-<short>Calculate the approximate number of years between two DateTime values.</short>
+<short>Calculate the approximate number of years between two TDateTime values.</short>
 <descr>
 <var>YearSpan</var> returns the number of years between <var>ANow</var> and
 <var>AThen</var>, including any fractional parts of a year. This number is an approximation,
 based on an average number of days of 365.25 per year (average over 4
-years). 
+years).
 </descr>
 <seealso>
 <link id="MonthSpan"/>
@@ -3453,12 +3476,12 @@
 
 <!-- function Visibility: default -->
 <element name="MonthSpan">
-<short>Calculate the approximate number of months between two DateTime values.</short>
+<short>Calculate the approximate number of months between two TDateTime values.</short>
 <descr>
 <var>MonthSpan</var> returns the number of month between <var>ANow</var> and
 <var>AThen</var>, including any fractional parts of a month. This number is an approximation,
 based on an average number of days of 30.4375 per month (average over 4
-years). 
+years).
 </descr>
 <seealso>
 <link id="YearSpan"/>
@@ -3490,10 +3513,10 @@
 
 <!-- function Visibility: default -->
 <element name="WeekSpan">
-<short>Calculate the approximate number of weeks between two DateTime values.</short>
+<short>Calculate the approximate number of weeks between two TDateTime values.</short>
 <descr>
 <var>WeekSpan</var> returns the number of weeks between <var>ANow</var> and
-<var>AThen</var>, including any fractional parts of a week. 
+<var>AThen</var>, including any fractional parts of a week.
 </descr>
 <seealso>
 <link id="YearSpan"/>
@@ -3525,10 +3548,10 @@
 
 <!-- function Visibility: default -->
 <element name="DaySpan">
-<short>Calculate the approximate number of days between two DateTime values.</short>
+<short>Calculate the approximate number of days between two TDateTime values.</short>
 <descr>
 <var>DaySpan</var> returns the number of Days between <var>ANow</var> and
-<var>AThen</var>, including any fractional parts of a Day. 
+<var>AThen</var>, including any fractional parts of a Day.
 </descr>
 <seealso>
 <link id="YearSpan"/>
@@ -3560,10 +3583,10 @@
 
 <!-- function Visibility: default -->
 <element name="HourSpan">
-<short>Calculate the approximate number of hours between two DateTime values.</short>
+<short>Calculate the approximate number of hours between two TDateTime values.</short>
 <descr>
 <var>HourSpan</var> returns the number of Hours between <var>ANow</var> and
-<var>AThen</var>, including any fractional parts of a Hour. 
+<var>AThen</var>, including any fractional parts of a Hour.
 </descr>
 <seealso>
 <link id="YearSpan"/>
@@ -3595,10 +3618,10 @@
 
 <!-- function Visibility: default -->
 <element name="MinuteSpan">
-<short>Calculate the approximate number of minutes between two DateTime values.</short>
+<short>Calculate the approximate number of minutes between two TDateTime values.</short>
 <descr>
 <var>MinuteSpan</var> returns the number of minutes between <var>ANow</var> and
-<var>AThen</var>, including any fractional parts of a minute. 
+<var>AThen</var>, including any fractional parts of a minute.
 </descr>
 <seealso>
 <link id="YearSpan"/>
@@ -3630,10 +3653,10 @@
 
 <!-- function Visibility: default -->
 <element name="SecondSpan">
-<short>Calculate the approximate number of seconds between two DateTime values.</short>
+<short>Calculate the approximate number of seconds between two TDateTime values.</short>
 <descr>
 <var>SecondSpan</var> returns the number of seconds between <var>ANow</var> and
-<var>AThen</var>, including any fractional parts of a second. 
+<var>AThen</var>, including any fractional parts of a second.
 </descr>
 <seealso>
 <link id="YearSpan"/>
@@ -3665,7 +3688,7 @@
 
 <!-- function Visibility: default -->
 <element name="MilliSecondSpan">
-<short>Calculate the approximate number of milliseconds between two DateTime values.</short>
+<short>Calculate the approximate number of milliseconds between two TDateTime values.</short>
 <descr>
 <var>MilliSecondSpan</var> returns the number of milliseconds between <var>ANow</var> and
 <var>AThen</var>. Since millisecond is the smallest fraction of a
@@ -3702,11 +3725,11 @@
 
 <!-- function Visibility: default -->
 <element name="IncYear">
-<short>Increase a DateTime value with a number of years.</short>
+<short>Increase a TDateTime value with a number of years.</short>
 <descr>
 <var>IncYear</var> adds <var>ANumberOfYears</var> years to <var>AValue</var> and
 returns the resulting date/time. <var>ANumberOfYears</var> can be positive or
-negative. 
+negative.
 </descr>
 <seealso>
 <link id="#rtl.sysutils.IncMonth"/>
@@ -3722,12 +3745,12 @@
 
 <!-- function result Visibility: default -->
 <element name="IncYear.Result">
-<short>DateTime representing <var>AValue</var> plus <var>ANumberOfYears</var> years.</short>
+<short>TDateTime representing <var>AValue</var> plus <var>ANumberOfYears</var> years.</short>
 </element>
 
 <!-- argument Visibility: default -->
 <element name="IncYear.AValue">
-<short>DateTime to which years should be added.</short>
+<short>TDateTime to which years should be added.</short>
 </element>
 
 <!-- argument Visibility: default -->
@@ -3743,7 +3766,7 @@
 
 <!-- function Visibility: default -->
 <element name="IncWeek">
-<short>Increase a DateTime value with a number of weeks.</short>
+<short>Increase a TDateTime value with a number of weeks.</short>
 <descr>
 <var>IncWeek</var> adds <var>ANumberOfWeeks</var> weeks to <var>AValue</var> and
 returns the resulting date/time.<var>ANumberOfWeeks</var> can be positive or
@@ -3763,12 +3786,12 @@
 
 <!-- function result Visibility: default -->
 <element name="IncWeek.Result">
-<short>DateTime representing <var>AValue</var> plus <var>ANumberOfWeeks</var> weeks.</short>
+<short>TDateTime representing <var>AValue</var> plus <var>ANumberOfWeeks</var> weeks.</short>
 </element>
 
 <!-- argument Visibility: default -->
 <element name="IncWeek.AValue">
-<short>DateTime to which weeks should be added.</short>
+<short>TDateTime to which weeks should be added.</short>
 </element>
 
 
@@ -3779,7 +3802,7 @@
 
 <!-- function Visibility: default -->
 <element name="IncDay">
-<short>Increase a DateTime value with a number of days.</short>
+<short>Increase a TDateTime value with a number of days.</short>
 <descr>
 <var>IncDay</var> adds <var>ANumberOfDays</var> days to <var>AValue</var> and
 returns the resulting date/time.<var>ANumberOfDays</var> can be positive or
@@ -3799,12 +3822,12 @@
 
 <!-- function result Visibility: default -->
 <element name="IncDay.Result">
-<short>DateTime representing <var>AValue</var> plus <var>ANumberOfDays</var> days.</short>
+<short>TDateTime representing <var>AValue</var> plus <var>ANumberOfDays</var> days.</short>
 </element>
 
 <!-- argument Visibility: default -->
 <element name="IncDay.AValue">
-<short>DateTime value to which days should be added.</short>
+<short>TDateTime value to which days should be added.</short>
 </element>
 
 <!-- argument Visibility: default -->
@@ -3814,7 +3837,7 @@
 
 <!-- function Visibility: default -->
 <element name="IncHour">
-<short>Increase a DateTime value with a number of hours.</short>
+<short>Increase a TDateTime value with a number of hours.</short>
 <descr>
 <var>IncHour</var> adds <var>ANumberOfHours</var> hours to <var>AValue</var> and
 returns the resulting date/time.<var>ANumberOfHours</var> can be positive or
@@ -3834,12 +3857,12 @@
 
 <!-- function result Visibility: default -->
 <element name="IncHour.Result">
-<short>DateTime representing <var>AValue</var>  plus <var>ANumberOfHours</var> hours.</short>
+<short>TDateTime representing <var>AValue</var>  plus <var>ANumberOfHours</var> hours.</short>
 </element>
 
 <!-- argument Visibility: default -->
 <element name="IncHour.AValue">
-<short>DateTime to which hours should be added.</short>
+<short>TDateTime to which hours should be added.</short>
 </element>
 
 <!-- argument Visibility: default -->
@@ -3849,7 +3872,7 @@
 
 <!-- function Visibility: default -->
 <element name="IncMinute">
-<short>Increase a DateTime value with a number of minutes.</short>
+<short>Increase a TDateTime value with a number of minutes.</short>
 <descr>
 <var>IncMinute</var> adds <var>ANumberOfMinutes</var> minutes to <var>AValue</var> and
 returns the resulting date/time.<var>ANumberOfMinutes</var> can be positive or
@@ -3869,12 +3892,12 @@
 
 <!-- function result Visibility: default -->
 <element name="IncMinute.Result">
-<short>DateTime representing <var>AValue</var> plus <var>ANumberOfMinutes</var> minutes.</short>
+<short>TDateTime representing <var>AValue</var> plus <var>ANumberOfMinutes</var> minutes.</short>
 </element>
 
 <!-- argument Visibility: default -->
 <element name="IncMinute.AValue">
-<short>DateTime to which minutes should be added.</short>
+<short>TDateTime to which minutes should be added.</short>
 </element>
 
 <!-- argument Visibility: default -->
@@ -3884,7 +3907,7 @@
 
 <!-- function Visibility: default -->
 <element name="IncSecond">
-<short>Increase a DateTime value with a number of seconds.</short>
+<short>Increase a TDateTime value with a number of seconds.</short>
 <descr>
 <var>IncSecond</var> adds <var>ANumberOfSeconds</var> seconds to <var>AValue</var> and
 returns the resulting date/time.<var>ANumberOfSeconds</var> can be positive or
@@ -3904,12 +3927,12 @@
 
 <!-- function result Visibility: default -->
 <element name="IncSecond.Result">
-<short>DateTime representing <var>AValue</var> plus <var>ANumberOfSeconds</var> seconds.</short>
+<short>TDateTime representing <var>AValue</var> plus <var>ANumberOfSeconds</var> seconds.</short>
 </element>
 
 <!-- argument Visibility: default -->
 <element name="IncSecond.AValue">
-<short>DateTime to which seconds should be added.</short>
+<short>TDateTime to which seconds should be added.</short>
 </element>
 
 <!-- argument Visibility: default -->
@@ -3919,7 +3942,7 @@
 
 <!-- function Visibility: default -->
 <element name="IncMilliSecond">
-<short>Increase a DateTime value with a number of milliseconds.</short>
+<short>Increase a TDateTime value with a number of milliseconds.</short>
 <descr>
 <var>IncMilliSecond</var> adds <var>ANumberOfMilliSeconds</var> milliseconds to <var>AValue</var> and
 returns the resulting date/time.<var>ANumberOfMilliSeconds</var> can be positive or
@@ -3939,17 +3962,17 @@
 
 <!-- function result Visibility: default -->
 <element name="IncMilliSecond.Result">
-<short>DateTime representing <var>AValue</var>  plus <var>ANumberOfMilliSeconds</var> milliseconds.</short>
+<short>TDateTime representing <var>AValue</var>  plus <var>ANumberOfMilliSeconds</var> milliseconds.</short>
 </element>
 
 <!-- argument Visibility: default -->
 <element name="IncMilliSecond.AValue">
-<short>DateTime to which milliseconds should be added.</short>
+<short>TDateTime to which milliseconds should be added.</short>
 </element>
 
 <!-- function Visibility: default -->
 <element name="EncodeDateTime">
-<short>Encodes a DateTime value from all its parts</short>
+<short>Encodes a TDateTime value from all its parts</short>
 <descr>
 <p>
 <var>EncodeDateTime</var> encodes the values <var>AYear</var>
@@ -3979,7 +4002,7 @@
 
 <!-- function result Visibility: default -->
 <element name="EncodeDateTime.Result">
-<short>DateTime value representing the complete timestamp</short>
+<short>TDateTime value representing the complete timestamp</short>
 </element>
 
 <!-- argument Visibility: default -->
@@ -4019,7 +4042,7 @@
 
 <!-- procedure Visibility: default -->
 <element name="DecodeDateTime">
-<short>Decode a datetime value in a date and time value</short>
+<short>Decode a TDateTime value in a date and time value</short>
 <descr>
 <var>DecodeDateTime</var> decomposes the date/time indication in
 <var>AValue</var> and returns the various components in <var>AYear</var>,
@@ -4040,7 +4063,7 @@
 
 <!-- argument Visibility: default -->
 <element name="DecodeDateTime.AValue">
-<short>DateTime to decode</short>
+<short>TDateTime to decode</short>
 </element>
 
 <!-- argument Visibility: default -->
@@ -4179,7 +4202,7 @@
 
 <!-- function result Visibility: default -->
 <element name="EncodeDateWeek.Result">
-<short>DateTime value representing <var>AYear</var>, <var>AWeekOfYear</var> and <var>ADayOfWeek</var>.</short>
+<short>TDateTime value representing <var>AYear</var>, <var>AWeekOfYear</var> and <var>ADayOfWeek</var>.</short>
 </element>
 
 <!-- argument Visibility: default -->
@@ -4194,7 +4217,7 @@
 
 <!-- procedure Visibility: default -->
 <element name="DecodeDateWeek">
-<short>Decode a DateTime value in a week of year and day of week.</short>
+<short>Decode a TDateTime value in a week of year and day of week.</short>
 <descr>
 <var>DecodeDateWeek</var> decomposes the date indication in
 <var>AValue</var> and returns the various components in <var>AYear</var>,
@@ -4214,7 +4237,7 @@
 
 <!-- argument Visibility: default -->
 <element name="DecodeDateWeek.AValue">
-<short>DateTime to decode</short>
+<short>TDateTime to decode</short>
 </element>
 
 <!-- argument Visibility: default -->
@@ -4285,7 +4308,7 @@
 
 <!-- function Visibility: default -->
 <element name="EncodeDateDay">
-<short>Encodes a year and day of year to a DateTime value</short>
+<short>Encodes a year and day of year to a TDateTime value</short>
 <descr>
 <p>
 <var>EncodeDateDay</var> encodes the values <var>AYear</var> and <var>ADayOfYear</var>
@@ -4312,7 +4335,7 @@
 
 <!-- function result Visibility: default -->
 <element name="EncodeDateDay.Result">
-<short>DateTime value representing the date specified by <var>AYear</var> and <var>ADayOfYear</var>.</short>
+<short>TDateTime value representing the date specified by <var>AYear</var> and <var>ADayOfYear</var>.</short>
 </element>
 
 <!-- argument Visibility: default -->
@@ -4327,7 +4350,7 @@
 
 <!-- procedure Visibility: default -->
 <element name="DecodeDateDay">
-<short>Decode a DateTime value in year and year of day.</short>
+<short>Decode a TDateTime value in year and year of day.</short>
 <descr>
 <var>DecodeDateDay</var> decomposes the date indication in
 <var>AValue</var> and returns the various components in <var>AYear</var>,
@@ -4347,7 +4370,7 @@
 
 <!-- argument Visibility: default -->
 <element name="DecodeDateDay.AValue">
-<short>DateTime to decode</short>
+<short>TDateTime to decode</short>
 </element>
 
 <!-- argument Visibility: default -->
@@ -4408,7 +4431,7 @@
 
 <!-- function Visibility: default -->
 <element name="EncodeDateMonthWeek">
-<short>Encodes a year, month, week of month and day of week to a DateTime value</short>
+<short>Encodes a year, month, week of month and day of week to a TDateTime value</short>
 <descr>
 <p>
 <var>EncodeDateTime</var> encodes the values <var>AYear</var>
@@ -4438,7 +4461,7 @@
 
 <!-- function result Visibility: default -->
 <element name="EncodeDateMonthWeek.Result">
-<short>DateTime value representing the date specified by <var>AYear</var>, <var>AMonth</var>, <var>AWeekOfMonth</var> and <var>ADayOfWeek</var>.</short>
+<short>TDateTime value representing the date specified by <var>AYear</var>, <var>AMonth</var>, <var>AWeekOfMonth</var> and <var>ADayOfWeek</var>.</short>
 </element>
 
 <!-- argument Visibility: default -->
@@ -4463,7 +4486,7 @@
 
 <!-- procedure Visibility: default -->
 <element name="DecodeDateMonthWeek">
-<short>Decode a DateTime value in a month, week of month and day of week</short>
+<short>Decode a TDateTime value in a month, week of month and day of week</short>
 <descr>
 <var>DecodeDateMonthWeek</var> decomposes the date indication in
 <var>AValue</var> and returns the various components in <var>AYear</var>,
@@ -4483,7 +4506,7 @@
 
 <!-- argument Visibility: default -->
 <element name="DecodeDateMonthWeek.AValue">
-<short>DateTime to decode</short>
+<short>TDateTime to decode</short>
 </element>
 
 <!-- argument Visibility: default -->
@@ -4572,7 +4595,7 @@
 with <var>AYear</var>. All other parts of the date/time stamp are left untouched.
 </descr>
 <errors>
-If the <var>AYear</var> value is not within a valid range (1..9999) then 
+If the <var>AYear</var> value is not within a valid range (1..9999) then
 an <var>EConvertError</var> exception is raised.
 </errors>
 <seealso>
@@ -4612,7 +4635,7 @@
 with <var>AMonth</var>. All other parts of the date/time stamp are left untouched.
 </descr>
 <errors>
-If the <var>AMonth</var> value is not within a valid range (1..12) then 
+If the <var>AMonth</var> value is not within a valid range (1..12) then
 an <var>EConvertError</var> exception is raised.
 </errors>
 <seealso>
@@ -4692,7 +4715,7 @@
 with <var>AHour</var>. All other parts of the date/time stamp are left untouched.
 </descr>
 <errors>
-If the <var>AHour</var> value is not within a valid range (0..23) then 
+If the <var>AHour</var> value is not within a valid range (0..23) then
 an <var>EConvertError</var> exception is raised.
 </errors>
 <seealso>
@@ -4732,7 +4755,7 @@
 with <var>AMinute</var>. All other parts of the date/time stamp are left untouched.
 </descr>
 <errors>
-If the <var>AMinute</var> value is not within a valid range (0..59) then 
+If the <var>AMinute</var> value is not within a valid range (0..59) then
 an <var>EConvertError</var> exception is raised.
 </errors>
 <seealso>
@@ -4772,7 +4795,7 @@
 with <var>ASecond</var>. All other parts of the date/time stamp are left untouched.
 </descr>
 <errors>
-If the <var>ASecond</var> value is not within a valid range (0..59) then 
+If the <var>ASecond</var> value is not within a valid range (0..59) then
 an <var>EConvertError</var> exception is raised.
 </errors>
 <seealso>
@@ -4812,7 +4835,7 @@
 with <var>AMilliSecond</var>. All other parts of the date/time stamp are left untouched.
 </descr>
 <errors>
-If the <var>AMilliSecond</var> value is not within a valid range (0..999) then 
+If the <var>AMilliSecond</var> value is not within a valid range (0..999) then
 an <var>EConvertError</var> exception is raised.
 </errors>
 <seealso>
@@ -4849,11 +4872,11 @@
 <short>Replace date part of a <var>TDateTime</var> value with another date.</short>
 <descr>
 <var>RecodeDate</var> replaces the date part of the timestamp <var>AValue</var>
-with the date specified in <var>AYear</var>, <var>AMonth</var>, <var>ADay</var>. 
+with the date specified in <var>AYear</var>, <var>AMonth</var>, <var>ADay</var>.
 All other parts (the time part) of the date/time stamp are left untouched.
 </descr>
 <errors>
-If one of the <var>AYear</var>, <var>AMonth</var>, <var>ADay</var> values is not within 
+If one of the <var>AYear</var>, <var>AMonth</var>, <var>ADay</var> values is not within
 a valid range then an <var>EConvertError</var> exception is raised.
 </errors>
 <seealso>
@@ -4901,12 +4924,12 @@
 <descr>
 <var>RecodeTime</var> replaces the time part of the timestamp <var>AValue</var>
 with the date specified in <var>AHour</var>, <var>AMinute</var>,
-<var>ASecond</var> and <var>AMilliSecond</var>. 
+<var>ASecond</var> and <var>AMilliSecond</var>.
 All other parts (the date part) of the date/time stamp are left untouched.
 </descr>
 <errors>
 If one of the values <var>AHour</var>, <var>AMinute</var>, <var>ASecond</var>
-<var>AMilliSecond</var> is not within a valid range then an <var>EConvertError</var> 
+<var>AMilliSecond</var> is not within a valid range then an <var>EConvertError</var>
 exception is raised.
 </errors>
 <seealso>
@@ -4959,15 +4982,15 @@
 <descr>
 <var>RecodeDateTime</var> replaces selected parts of the timestamp <var>AValue</var>
 with the date/time values specified in <var>AYear</var>, <var>AMonth</var>,
-<var>ADay</var>, <var>AHour</var>, <var>AMinute</var>, <var>ASecond</var> and 
+<var>ADay</var>, <var>AHour</var>, <var>AMinute</var>, <var>ASecond</var> and
 <var>AMilliSecond</var>. If any of these values
-equals the predefined constant <link id="RecodeLeaveFieldAsIs"/>, then 
+equals the predefined constant <link id="RecodeLeaveFieldAsIs"/>, then
 the corresponding part of the date/time stamp is left untouched.
 </descr>
 <errors>
 If one of the values <var>AYear</var>, <var>AMonth</var>,
 <var>ADay</var>, <var>AHour</var>, <var>AMinute</var>, <var>ASecond</var>
-<var>AMilliSecond</var> is not within a valid range (<var>RecodeLeaveFieldAsIs</var> excepted) 
+<var>AMilliSecond</var> is not within a valid range (<var>RecodeLeaveFieldAsIs</var> excepted)
 then an <var>EConvertError</var> exception is raised.
 </errors>
 <seealso>
@@ -5037,9 +5060,9 @@
 <p>
 <var>TryRecodeDateTime</var> replaces selected parts of the timestamp <var>AValue</var>
 with the date/time values specified in <var>AYear</var>, <var>AMonth</var>,
-<var>ADay</var>, <var>AHour</var>, <var>AMinute</var>, <var>ASecond</var> and 
+<var>ADay</var>, <var>AHour</var>, <var>AMinute</var>, <var>ASecond</var> and
 <var>AMilliSecond</var>. If any of these values
-equals the predefined constant <link id="RecodeLeaveFieldAsIs"/>, then 
+equals the predefined constant <link id="RecodeLeaveFieldAsIs"/>, then
 the corresponding part of the date/time stamp is left untouched.
 </p>
 <p>
@@ -5263,12 +5286,12 @@
 
 <!-- argument Visibility: default -->
 <element name="SameDateTime.A">
-<short>First DateTime value</short>
+<short>First TDateTime value</short>
 </element>
 
 <!-- argument Visibility: default -->
 <element name="SameDateTime.B">
-<short>Second DateTime value</short>
+<short>Second TDateTime value</short>
 </element>
 
 <!-- function Visibility: default -->
@@ -5301,12 +5324,12 @@
 
 <!-- argument Visibility: default -->
 <element name="SameDate.A">
-<short>First DateTime value</short>
+<short>First TDateTime value</short>
 </element>
 
 <!-- argument Visibility: default -->
 <element name="SameDate.B">
-<short>Second DateTime value</short>
+<short>Second TDateTime value</short>
 </element>
 
 <!-- function Visibility: default -->
@@ -5339,12 +5362,12 @@
 
 <!-- argument Visibility: default -->
 <element name="SameTime.A">
-<short>First DateTime value</short>
+<short>First TDateTime value</short>
 </element>
 
 <!-- argument Visibility: default -->
 <element name="SameTime.B">
-<short>Second DateTime value</short>
+<short>Second TDateTime value</short>
 </element>
 
 <!-- function Visibility: default -->
@@ -5353,7 +5376,7 @@
 <descr>
 <var>NthDayOfWeek</var> returns the occurrence of the weekday of <var>AValue</var> in the
 month. This is the N-th time that this weekday occurs in the month (e.g. the
-third saturday of the month).
+third Saturday of the month).
 </descr>
 <seealso>
 <link id="EncodeDateMonthWeek"/>
@@ -5377,13 +5400,13 @@
 
 <!-- procedure Visibility: default -->
 <element name="DecodeDayOfWeekInMonth">
-<short>Decode a DateTime value in year, month, day of week parts</short>
+<short>Decode a TDateTime value in year, month, day of week parts</short>
 <descr>
 <var>DecodeDayOfWeekInMonth</var> decodes the date <var>AValue</var> in a
 <var>AYear</var>, <var>AMonth</var>, <var>ADayOfweek</var> and
 <var>ANthDayOfweek</var>.
 (This is the N-th time that this weekday occurs in the month, e.g. the
-third saturday of the month.)
+third Saturday of the month.)
 </descr>
 <seealso>
 <link id="NthDayOfWeek"/>
@@ -5397,7 +5420,7 @@
 
 <!-- argument Visibility: default -->
 <element name="DecodeDayOfWeekInMonth.AValue">
-<short>DateTime to decode</short>
+<short>TDateTime to decode</short>
 </element>
 
 <!-- argument Visibility: default -->
@@ -5425,13 +5448,13 @@
 <short>Encodes a year, month, week, day of week specification to a <var>TDateTime</var> value</short>
 <descr>
 <p>
-<var>EncodeDayOfWeekInMonth</var> encodes <var>AYear</var>, <var>AMonth</var>, 
-<var>ADayOfweek</var> and <var>ANthDayOfweek</var> to a valid date stamp and 
+<var>EncodeDayOfWeekInMonth</var> encodes <var>AYear</var>, <var>AMonth</var>,
+<var>ADayOfweek</var> and <var>ANthDayOfweek</var> to a valid date stamp and
 returns the result.
 </p>
 <p>
 <var>ANthDayOfweek</var>is the N-th time that this weekday occurs in the month, e.g. the
-third saturday of the month.
+third Saturday of the month.
 </p>
 <p>
 For an example, see <link id="DecodeDayOfWeekInMonth"/>.
@@ -5480,7 +5503,7 @@
 <short>Encode a year, month, week, day of week triplet to a <var>TDateTime</var> value</short>
 <descr>
 <p>
-<var>EncodeDayOfWeekInMonth</var> encodes 
+<var>EncodeDayOfWeekInMonth</var> encodes
 <var>AYear</var>, <var>AMonth</var>, <var>ADayOfweek</var> and
 <var>ANthDayOfweek</var> to a valid date stamp and returns the result in
 <var>AValue</var>.
@@ -5487,7 +5510,7 @@
 </p>
 <p>
 <var>ANthDayOfweek</var>is the N-th time that this weekday occurs in the month, e.g. the
-third saturday of the month.
+third Saturday of the month.
 </p>
 <p>
 The function returns <var>True</var> if the encoding was successful,
@@ -5545,10 +5568,10 @@
 <short>Raise an <var>EConvertError</var> about an invalid date-time specification.</short>
 <descr>
 <p>
-<var>InvalidDateTimeError</var> raises an <link id="#rtl.sysutils.EConvertError">EConvertError</link> 
+<var>InvalidDateTimeError</var> raises an <link id="#rtl.sysutils.EConvertError">EConvertError</link>
 exception and formats the error message with an appropriate description made
 up from the parts <var>AYear</var>, <var>AMonth</var>,
-<var>ADay</var>,<var>AHour</var>, <var>AMinute</var>, <var>ASecond</var> and 
+<var>ADay</var>,<var>AHour</var>, <var>AMinute</var>, <var>ASecond</var> and
 <var>AMilliSecond</var>.
 </p>
 <p>
@@ -5604,7 +5627,7 @@
 <short>Raise an EConvertError with an invalid Year, WeekOfyear and DayOfWeek specification</short>
 <descr>
 <p>
-<var>InvalidDateWeekError</var> raises an <link id="#rtl.sysutils.EConvertError">EConvertError</link> 
+<var>InvalidDateWeekError</var> raises an <link id="#rtl.sysutils.EConvertError">EConvertError</link>
 exception and formats the error message with an appropriate description made
 up from the parts <var>AYear</var>, <var>AWeek</var>,
 <var>ADayOfWeek</var>
@@ -5639,7 +5662,7 @@
 <short>Raise an <var>EConvertError</var> exception when a day is not a valid day of a year.</short>
 <descr>
 <p>
-<var>InvalidDateDayError</var> raises an <link id="#rtl.sysutils.EConvertError">EConvertError</link> 
+<var>InvalidDateDayError</var> raises an <link id="#rtl.sysutils.EConvertError">EConvertError</link>
 exception and formats the error message with an appropriate description made
 up from the parts <var>AYear</var> and <var>ADayOfYear</var>.
 </p>
@@ -5671,7 +5694,7 @@
 <short>Raise an <var>EConvertError</var> exception when a Year,Month,WeekOfMonth,DayofWeek is invalid.</short>
 <descr>
 <p>
-<var>InvalidDateMonthWeekError</var> raises an <link id="#rtl.sysutils.EConvertError">EConvertError</link> 
+<var>InvalidDateMonthWeekError</var> raises an <link id="#rtl.sysutils.EConvertError">EConvertError</link>
 exception and formats the error message with an appropriate description made
 up from the parts <var>AYear</var>, <var>Amonth</var>,
 <var>AWeekOfMonth</var> and <var>ADayOfWeek</var>.
@@ -5714,7 +5737,7 @@
 <short>Raise an <var>EConvertError</var> exception when a Year,Month,NthDayofWeek,DayofWeek is invalid.</short>
 <descr>
 <p>
-<var>InvalidDayOfWeekInMonthError</var> raises an <link id="#rtl.sysutils.EConvertError">EConvertError</link> 
+<var>InvalidDayOfWeekInMonthError</var> raises an <link id="#rtl.sysutils.EConvertError">EConvertError</link>
 exception and formats the error message with an appropriate description made
 up from the parts <var>AYear</var>, <var>Amonth</var>,
 <var>ANthDayOfWeek</var> and <var>ADayOfWeek</var>.
@@ -5757,7 +5780,7 @@
 <short>Converts a TDateTime value to a Julian date representation</short>
 <descr>
 <var>DateTimeToJulianDate</var> converts the <var>AValue</var> date/time
-indication to a julian (as opposed to Gregorian) date.
+indication to a Julian (as opposed to Gregorian) date.
 </descr>
 <seealso>
 <link id="JulianDateToDateTime"/>
@@ -5774,7 +5797,7 @@
 
 <!-- argument Visibility: default -->
 <element name="DateTimeToJulianDate.AValue">
-<short>DateTime value to convert to Julian representation</short>
+<short>TDateTime value to convert to Julian representation</short>
 </element>
 
 <!-- function Visibility: default -->
@@ -5855,7 +5878,7 @@
 
 <!-- argument Visibility: default -->
 <element name="DateTimeToModifiedJulianDate.AValue">
-<short>DateTime value to convert to Modified Julian representation</short>
+<short>TDateTime value to convert to Modified Julian representation</short>
 </element>
 
 <!-- function Visibility: default -->
@@ -5938,7 +5961,7 @@
 
 <!-- argument Visibility: default -->
 <element name="DateTimeToUnix.AValue">
-<short>DateTime value to convert</short>
+<short>TDateTime value to convert</short>
 </element>
 
 <!-- function Visibility: default -->
@@ -5982,7 +6005,7 @@
 <element name="UnixTimeStampToMac">
 <short>Convert Unix Timestamp to a Mac Timestamp</short>
 <descr>
-<var>UnixTimeStampToMac</var> converts the UNIX epoch time 
+<var>UnixTimeStampToMac</var> converts the UNIX epoch time
 in <var>AValue</var> to a valid Mac timestamp indication and returns the result.
 </descr>
 <errors>
@@ -5999,8 +6022,8 @@
 <element name="DateTimeToMac">
 <short>Convert a <var>TDateTime</var> timestamp to a Mac timestamp</short>
 <descr>
-<var>DateTimeToMac</var> converts the <var>TDateTime</var> value <var>AValue</var> 
-to a valid  Mac timestamp indication and returns the result. 
+<var>DateTimeToMac</var> converts the <var>TDateTime</var> value <var>AValue</var>
+to a valid  Mac timestamp indication and returns the result.
 </descr>
 <errors>
 None.
@@ -6033,7 +6056,7 @@
 <element name="MacTimeStampToUnix">
 <short>Convert a Mac timestamp to a Unix timestamp</short>
 <descr>
-<var>MacTimeStampToUnix</var> converts the Mac timestamp 
+<var>MacTimeStampToUnix</var> converts the Mac timestamp
 indication in <var>AValue</var> to a UNIX timestamp indication (epoch time)
 </descr>
 <errors>
@@ -6045,13 +6068,14 @@
 <link id="MacToDateTime"/>
 </seealso>
 </element>
+
 <!--
 function ScanDateTime(const Pattern:string;const s:string;const fmt:TFormatSettings;startpos:integer=1) : tdatetim
 function ScanDateTime(const Pattern:string;const s:string;startpos:integer=1) : tdatetime; overload;
   -->
-  
+
 <element name="ScanDateTime">
-<short>Scans a string for a DateTime pattern and returns the date/time</short>
+<short>Scans a string for a TDateTime pattern and returns the date/time</short>
 <descr>
 <p>
 <var>ScanDateTime</var> scans string <var>S</var> for the date/time pattern
@@ -6061,7 +6085,7 @@
 <p>
 In effect, this function does the opposite of what <link
 id="#rtl.sysutils.FormatDateTime">FormatDateTime</link> does. The <var>Pattern</var> variable must contain a
-valid date/time pattern: note that not all possible formatdatetime patterns 
+valid date/time pattern: note that not all possible formatdatetime patterns
 can be recognized, e.g., <var>hn</var> cannot be detected properly.
 </p>
 </descr>
@@ -6114,13 +6138,13 @@
 <!-- function Visibility: default -->
 <element name="IsSameMonth">
 <short>Check if 2 dates are in the same month.</short>
-<descr> 
-<var>IsSameMonth</var> will return <var>True</var> if the two dates 
+<descr>
+<var>IsSameMonth</var> will return <var>True</var> if the two dates
 <var>Avalue</var> and <var>ABasis</var> occur in the same year and month.
 (i.e. if their month and year parts match). Otherwise, <var>False</var> is
 returned.
 </descr>
-<seealso> 
+<seealso>
 <link id="IsSameDay"/>
 <link id="IsToday"/>
 <link id="SameDate"/>
@@ -6127,10 +6151,10 @@
 </seealso>
 </element>
 
-<!-- function Visibility: default --> 
+<!-- function Visibility: default -->
 <element name="TryEncodeTimeInterval">
 <short>Try to encode an interval as a <var>TDateTime</var> value.</short>
-<descr> 
+<descr>
 <var>TryEncodeTimeInterval</var> encodes a time interval expressed in
 <var>Hour</var>, <var>Min</var>, <var>Sec</var>, <var>MSec</var> as a
 <var>TDateTime</var> value and returns the value in <var>Time</var>. It
@@ -6138,7 +6162,7 @@
 contain valid time values (i.e. less than 60, 60 resp. MSec). The number of
 hours may be larger than 24.
 </descr>
-<seealso> 
+<seealso>
 <link id="EncodeTimeInterval"/>
 </seealso>
 </element>
@@ -6146,7 +6170,7 @@
 <!-- function Visibility: default -->
 <element name="EncodeTimeInterval">
 <short>Encode an interval as a <var>TDateTime</var> value.</short>
-<descr> 
+<descr>
 <var>EncodeTimeInterval</var> encodes a time interval expressed in
 <var>Hour</var>, <var>Min</var>, <var>Sec</var>, <var>MSec</var> as a
 <var>TDateTime</var> value and returns the value in <var>Time</var>.
@@ -6153,10 +6177,10 @@
 </descr>
 <errors>
 If <var>Min</var>, <var>Sec</var>, <var>MSec</var> do not contain a valid
-time indication, then an <var>EConvertError</var> exception is raised.   
+time indication, then an <var>EConvertError</var> exception is raised.
 </errors>
-<seealso> 
-<link id="TryEncodeTimeInterval"/>  
+<seealso>
+<link id="TryEncodeTimeInterval"/>
 </seealso>
 </element>
 
@@ -6166,14 +6190,14 @@
 <descr>
 <p>
 <var>UniversalTimeToLocal</var> converts a universal time indication to a local time:
-it applies the <var>TZOffset</var> timezone offset to the <var>UT</var> Universal time (UTC).
+it applies the <var>TZOffset</var> time zone offset to the <var>UT</var> Universal time (UTC).
 If no <var>TZOffset</var> is specified, the local time offset as returned by
 <link id="GetLocalTimeOffset"/> is used.
 </p>
 <p>
-Note that for times in the past or in the future, or for timezones with DST,
-omitting the <var>TZoffset</var> may lead to wrong results, as the current 
-timezone offset is used. Calculation of the correct timezone offset for a
+Note that for times in the past or in the future, or for time zones with DST,
+omitting the <var>TZoffset</var> may lead to wrong results, as the current
+time zone offset is used. Calculation of the correct time zone offset for a
 given date is very complicated, and outside the scope of this call.
 </p>
 </descr>
@@ -6189,54 +6213,31 @@
 <descr>
 <p>
 <var>UniversalTimeToLocal</var> converts a local time indication to a universal time
-indication: it undoes the <var>TZOffset</var> timezone offset from the <var>UT</var> 
-Universal time (UTC). 
-If no <var>TZOffset</var> is specified, the local time offset as returned by 
+indication: it undoes the <var>TZOffset</var> time zone offset from the <var>UT</var>
+Universal time (UTC).
+If no <var>TZOffset</var> is specified, the local time offset as returned by
 <link id="GetLocalTimeOffset"/> is used.
 </p>
 <p>
 Note that for times in the past or in the future, or for time zones with DST,
-omitting the <var>TZoffset</var> may lead to wrong results, as the current 
-timezone offset is used.  Calculation of the correct timezone offset for a 
+omitting the <var>TZoffset</var> may lead to wrong results, as the current
+time zone offset is used.  Calculation of the correct time zone offset for a
 given date is very complicated, and outside the scope of this call.
 </p>
 </descr>
 <seealso>
 <link id="GetLocalTimeOffset"/>
-<link id="UniversalTimeToLocal"/> 
+<link id="UniversalTimeToLocal"/>
 </seealso>
 </element>
 
-<!-- procedure Visibility: default -->
-<element name="PeriodBetween">
-<short>Return the period (in years, months, days) between two dates</short>
-<descr>
-<p>
-<var>PeriodBetween</var> returns the timespan between 2 dates (<var>ANow</var> and
-<var>AThen</var>), expressed as a number of years, months and days  in the parameters 
-<var>Years</var>, <var>months</var> and <var>days</var>. 
-Only complete years, months and days are reported. 
-</p>
-<p>
-If <var>ANow</var> is before <var>AThen</var>, their values are reversed so
-the result is always positive.
-</p>
-</descr>
-<seealso>
-<link id="YearsBetween"/>
-<link id="MonthsBetween"/>
-<link id="WeeksBetween"/>
-<link id="DaysBetween"/>
-</seealso>
-</element>
-
 <!-- function Visibility: default -->
 <element name="DateTimeInRange">
 <short>Checks whether a date/time value is in a given range</short>
 <descr>
 <var>DateTimeInRange</var> checks whether the value <var>ADateTime</var> lies between <var>AStartDateTime</var> and <var>AEndDateTime</var>, and returns <var>True</var> if it is.
-When <var>AInclusive</var> is <var>True</var> (the default), then the limits are included. When <var>AInclusive</var> is <var>False</var>, 
-the limits are excluded. 
+When <var>AInclusive</var> is <var>True</var> (the default), then the limits are included. When <var>AInclusive</var> is <var>False</var>,
+the limits are excluded.
 </descr>
 <errors>
 The <var>AStartDateTime</var> value must be before <var>AEndDateTime</var>, but no check is performed.
@@ -6252,7 +6253,7 @@
 <short>Checks whether a time value is in a given range</short>
 <descr>
 <var>TimeInRange</var> checks whether the value <var>ATime</var> lies between <var>AStartTime</var> and <var>AEndTime</var>, and returns <var>True</var> if it is.
-When <var>AInclusive</var> is <var>True</var> (the default), then the limits are included. When <var>AInclusive</var> is <var>False</var>, 
+When <var>AInclusive</var> is <var>True</var> (the default), then the limits are included. When <var>AInclusive</var> is <var>False</var>,
 the limits are excluded. Only the time part of the 3 parameters is considered.
 </descr>
 <errors>
@@ -6269,7 +6270,7 @@
 <short>Checks whether a date value is in a given rang</short>
 <descr>
 <var>DateInRange</var> checks whether the value <var>ADate</var> lies between <var>AStartDate</var> and <var>AEndDate</var>, and returns <var>True</var> if it is.
-When <var>AInclusive</var> is <var>True</var> (the default), then the limits are included. When <var>AInclusive</var> is <var>False</var>, 
+When <var>AInclusive</var> is <var>True</var> (the default), then the limits are included. When <var>AInclusive</var> is <var>False</var>,
 the limits are excluded. Only the date part of the 3 parameters is considered.
 </descr>
 <errors>
@@ -6281,6 +6282,346 @@
 </seealso>
 </element>
 
+<element name="TryISOStrToDate">
+  <short>Attempts to convert an ISO 8601-formatted date value to a TDateTime type</short>
+  <descr>
+    <p>
+      <var>TryISOStrToDate</var> is a <var>Boolean</var> function which attempts to convert an ISO 8601-formatted date value in aString to a <var>TDateTime</var> type. The return value is <var>True</var> if the string is successfully converted into a native date value.
+    </p>
+    <p>
+      <var>aString</var> contains the date value converted in the function, and can use one of the following ISO 8601 notations :
+    </p>
+    <ul>
+      <li>YYYYMMDD</li>
+      <li>YYYY-MM-DD</li>
+    </ul>
+    <p>
+      <var>outDate</var> is an output parameter where the converted TDateTime value is stored in the function. The return value is <var>False</var> (and outDate is set to an empty date value) if aString cannot be converted in the routine.The time portion of the TDateTime value is not used or updated in the function.
+    </p>
+    <p>
+      Use <var>TryISOStrToTime</var> to convert a time value to a native TDateTime type.
+    </p>
+    <p>
+      Use <var>TryISOStrToDateTime</var> to convert a string which contains both date and time values to a TDateTime type.
+    </p>
+  </descr>
+  <seealso>
+    <link id="TryISOStrToTime"/>
+    <link id="TryISOStrToDateTime"/>
+  </seealso>
+</element>
+<element name="TryISOStrToDate.Result">
+  <short>True if the date value is successfully converted</short>
+</element>
+<element name="TryISOStrToDate.aString">
+  <short>ISO 8601 date value converted in the function</short>
+</element>
+<element name="TryISOStrToDate.outDate">
+  <short>Contains the TDateTime value for the string; time portion is not used</short>
+</element>
+
+<element name="TryISOStrToTime">
+  <short>Converts an ISO 8601-formatted time value to a TDateTime type</short>
+  <descr>
+    <p>
+      <var>TryISOStrToTime</var> is a <var>Boolean</var> function which attempts to convert the specified ISO 8601 time value to a <var>TDateTime</var> type. <var>aString</var> contains the ISO 8601 time value examined in the function, and can use one of the following notations:
+    </p>
+    <ul>
+      <li>HHNN</li>
+      <li>HHNNSS</li>
+      <li>HHNNSS.ZZZ</li>
+      <li>HH:NN</li>
+      <li>HH:NN:SS</li>
+      <li>HH:NN:SS.ZZZ</li>
+    </ul>
+    <p>
+      aString may contain an optional time zone designation at the end of the string value, like <b>'Z'</b> for Zulu time zone or a time zone offset expressed using either positive or negative hours and minutes.  For example:
+    </p>
+    <ul>
+      <li>16:00:00Z</li>
+      <li>12:00:00-04:00</li>
+    </ul>
+    <p>
+      The return value is <var>True</var> if the time value in aString is successfully converted in the function.
+    </p>
+    <p>
+      <var>outTime</var> is a <var>TDateTime</var> type used to store the time value converted in the function. When the return value is <var>False</var>, outTime contains <b>0</b> for an empty time value.
+    </p>
+    <p>
+      Use <var>TryISOStrToDate</var> to convert an ISO 8601 date value to a TDateTime type.
+    </p>
+    <p>
+      Use <var>TryISOStrToDateTime</var> to convert a string which contains both date and time values to a TDateTime type.
+    </p>
+  </descr>
+  <seealso>
+    <link id="TryISOStrToDate"/>
+    <link id="TryISOStrToDateTime"/>
+  </seealso>
+</element>
+<element name="TryISOStrToTime.Result">
+  <short>True if the time value is successfully converted to a TDateTime type</short>
+</element>
+<element name="TryISOStrToTime.aString">
+  <short>ISO 8601 time value converted in the function</short>
+</element>
+<element name="TryISOStrToTime.outTime">
+  <short>TDateTime type  containing the time value from the function</short>
+</element>
+
+<element name="TryISOStrToDateTime">
+  <short>
+    Attempts to convert an ISO 8601-formatted date/time value to a TDateTime type
+  </short>
+  <descr>
+    <p>
+      <var>TryISOStrToDateTime</var> is a <var>Boolean</var> function which attempts to convert an ISO 8601-formatted date/time value to a <var>TDateTime</var> type. <var>aString</var> contains the date/time value examined in the routine, and can use one of the supported ISO 8601 notations. Internally, TryISOStrToDateTime separates the value in aString into date and time parts and calls both <var>TryISOStrToDate</var> and <var>TryISOStrToTime</var>.
+    </p>
+    <p>
+      <var>outDateTime</var> is a <var>TDateTime</var> output parameter where the date/time value is stored in the function.
+    </p>
+    <p>
+      The return value is <var>True</var> if aString is successfully parsed and converted to a TDateTime type. The return value is <var>False</var> if aString contains a value that cannot be parsed in the function. When the return value is <var>False</var>, outDateTime is set to <b>0</b> (representing an empty date/time value).
+    </p>
+    <p>
+      Use <var>TryISOStrToDate</var> or <var>TryISOStrToTime</var> to convert a string using only a date or a time value (respectively).
+    </p>
+    <p>
+      Use <var>TryISO8601ToDate</var> to convert a string value which uses more intricate  forms of the ISO 8601 time notation.
+    </p>
+  </descr>
+  <seealso>
+    <link id="TryISOStrToDate"/>
+    <link id="TryISOStrToTime"/>
+    <link id="TryISO8601ToDate"/>
+  </seealso>
+</element>
+<element name="TryISOStrToDateTime.Result">
+  <short>True if the time value is successfully converted to a TDateTime type</short>
+</element>
+<element name="TryISOStrToDateTime.aString">
+  <short>ISO 8601 date/time value examined in the function</short>
+</element>
+<element name="TryISOStrToDateTime.outDateTime">
+  <short>TDateTime type containing the date and time values from the function</short>
+</element>
+
+<element name="TryISOTZStrToTZOffset">
+  <short>
+    Attempts to convert an ISO 8601 time zone designation to an offset in minutes
+  </short>
+  <descr>
+    <p>
+      <var>TryISOTZStrToTZOffset</var> is a <var>Boolean</var> function which attempts to convert the ISO 8601 time zone designation to a time zone offset expressed as a positive or negative number of minutes. <var>TZ</var> contains the time zone designation examined in the function. It should not contain any other portion of a date/time value using ISO 8601 notation - just the time zone designation.
+    </p>
+    <p>
+      <var>TryISOTZStrToTZOffset</var> recognizes the following values in the <var>TZ</var> argument:
+    </p>
+    <dl>
+      <dt>Z</dt>
+      <dd>
+        Represents time zone Zulu (short for "Zulu time") as used by the military and in navigation. Refers to  UTC (Coordinated Universal Time), formerly known as Greenwich Mean Time.
+      </dd>
+      <dt>
+        ±HHNN or ±HH:NN
+      </dt>
+      <dd>
+        time zone designation expressed as a positive or negative number of hours and minutes for a given time value.
+      </dd>
+    </dl>
+    <p>
+      <var>TZOffset</var> is an Integer updated to contains the number of minutes needed to adjust a time value for a given time zone back to UTC (Zulu time). The hour and minute component values in TZ are converted to minutes and complemented (multiplied by -1) to derive the offset value. The derived value in TZOffset is 0 when TZ contains Zulu time, an empty string (''), or cannot be converted successfully.
+    </p>
+    <p>
+      The return value is <var>True</var> if the time zone designation in <var>TZ</var> is successfully converted to a time zone offset.
+    </p>
+    <p>
+      Use <var>ISOTZStrToTZOffset</var> to convert the time zone designation and raise an exception for an invalid time zone designation.
+    </p>
+  </descr>
+  <seealso>
+    <link id="ISOTZStrToTZOffset"/>
+  </seealso>
+</element>
+<element name="TryISOTZStrToTZOffset.Result">
+  <short>True if the time zone designation was converted to an offset</short>
+</element>
+<element name="TryISOTZStrToTZOffset.TZ">
+  <short>time zone designation examined in the method</short>
+</element>
+<element name="TryISOTZStrToTZOffset.TZOffset">
+  <short>
+    Contains the time zone offset expressed as a positive or negative number of minutes
+  </short>
+</element>
+
+<element name="DateToISO8601">
+  <short>Converts a TDateTime value to ISO 8601 date/time format</short>
+  <descr>
+    <p>
+      <var>DateToISO8601</var> is a <var>String</var> function used to convert the <var>TDateTime</var> value in ADate to ISO 8601 date/time notation.
+    </p>
+    <p>
+      <var>ADate</var> contains the native <var>TDateTime</var> value converted in the function.
+    </p>
+    <p>
+      <var>AInputisUTC</var> indicates if the value in <var>ADate</var> represents a date/time value for the UTC time zone. When <var>AInputIsUTC</var> contains True, the 'Z' (Zulu time) time zone designation is used in the converted ISO 8601 value. Otherwise, the time zone is expressed as a positive or negative number of hours and minutes (such as "-04:00") in the return value.
+    </p>
+    <p>
+      <var>DateToISO8601</var> calls <var>GetLocalTimeOffset</var> to determine the time zone offset in use on the local computer. The integer offset is used to adjust the value in ADate to the UTC time zone when necessary.
+    </p>
+    <p>
+      The return value contains the adjusted value in ADate formatted using the notation:
+    </p>
+    <ul>
+      <li>yyyy-mm-ddThh:nn:ss.zzz±hh:nn or</li>
+      <li>yyyy-mm-ddThh:nn:ss.zzzZ for Zulu time</li>
+    </ul>
+    <p>
+      Use <var>ISO8601ToDate</var> to convert the return value back to a native <var>TDateTime</var> type.
+    </p>
+  </descr>
+  <seealso>
+    <link id="ISO8601ToDate"/>
+  </seealso>
+</element>
+<element name="DateToISO8601.Result">
+  <short>Date/Time value expressed in ISO 8601 notation</short>
+</element>``
+<element name="DateToISO8601.ADate">
+  <short>Native date/time value converted in the function</short>
+</element>
+<element name="DateToISO8601.AInputIsUTC">
+  <short>Indicates if the date/time value is in the UTC time zone</short>
+</element>
+
+<element name="ISO8601ToDate">
+  <short>Converts a date/time value in ISO 8601 notation to a native TDateTime type</short>
+  <descr>
+    <p>
+      <var>ISO8601ToDate</var> is a function used to convert a string using ISO 8601 date/time notation to a native <var>TDateTime</var> type.
+    </p>
+    <p>
+      <var>DateString</var> contains the date/time value expressed using ISO 8601 notation.
+    </p>
+    <p>
+      <var>ReturnUTC</var> indicates if the <var>TDateTime</var> value should be adjusted to reflect the UTC (Coordinated Universal Time) time zone. The default value for the argument is <var>True</var>.
+    </p>
+    <p>
+      <var>ISO8601ToDate</var> calls the <var>TryISO8601ToDate</var> function to perform the conversion, and raises an <var>EConvertError</var> exception if <var>DateString</var> contains an invalid ISO 8601 date/time value. The return value contains the native <var>TDateTime</var> value for the timestamp (adjusted to UTC when requested).
+    </p>
+    <p>
+      Use <var>DateToISO8601</var> to convert the native date/time value back to its representation using ISO 8601 date/time notation.
+    </p>
+  </descr>
+  <seealso>
+    <link id="TryISO8601ToDate"/>
+    <link id="DateToISO8601"/>
+  </seealso>
+</element>
+<element name="ISO8601ToDate.Result">
+  <short>TDateTime value for DateString</short>
+</element>
+<element name="ISO8601ToDate.DateString">
+  <short>ISO 8601-formatted date/time value examined in the function</short>
+</element>
+<element name="ISO8601ToDate.ReturnUTC">
+  <short>Indicates if the return value should be adjusted to the UTC time zone</short>
+</element>
+
+<element name="ISO8601ToDateDef">
+  <short>Converts an ISO 8601 date/time string to a TDateTime type</short>
+  <descr>
+    <p>
+      <var>ISO8601ToDateDef</var> is used to convert a date/time string in ISO 8601 format to its representation as a <var>TDateTime</var> value. DateString contains the ISO 8601-formatted date/time value converted in the routine. It can use one of the supported ISO 8601 date/time formats, and may contain an optional time zone offset. DateString uses the format returned from the <var>DateToISO8601</var> function. Each of the following represent the date/time for Noon on July 4, 2019:
+    </p>
+    <ul>
+      <li>20190714 12:00</li>
+      <li>2019-07-14 12:00</li>
+      <li>20190714 12:00:00</li>
+      <li>2019-07-14 12:00:00</li>
+      <li>20190714T12:00</li>
+      <li>20190714T12:00:00</li>
+      <li>2019-07-14T12:00</li>
+      <li>2019-07-14T12:00:00</li>
+      <li>20190714T12:00:00-04:00</li>
+      <li>2019-07-14T12:00:00-04:00</li>
+    </ul>
+    <p>
+      Time values in DateString specified without a time zone offset are assumed to be in the local time zone.
+    </p>
+    <p>
+      ReturnUTC indicates if the value in DateString is adjusted to UTC (Coordinated Universal Time) in the return value.
+    </p>
+    <p>
+      aDefault contains the default TDateTime value used as the return value when DateString cannot be successfully parsed and converted.
+    </p>
+    <p>
+      Please note than that the overloaded variant which uses String, Boolean, and TDateTime arguments has been deprecated. Use the variant with String, TDateTime, and Boolean arguments (in that order) instead.
+    </p>
+    <p>
+      ISO8601ToDateDef calls the TryISO8601ToDate function in its implementation.
+    </p>
+  </descr>
+  <seealso>
+    <link id="DateToISO8601"/>
+    <link id="TryISO8601ToDate"/>
+  </seealso>
+  <notes>
+    <note>Are there other ISO 8601 formats that should be included in the example?</note>
+  </notes>
+</element>
+<element name="ISO8601ToDateDef.Result">
+  <short>TDateTime value for the specified ISO 8601 date/time</short>
+</element>
+<element name="ISO8601ToDateDef.DateString">
+  <short>String containing the ISO 8601 date/time value converted in the function</short>
+</element>
+<element name="ISO8601ToDateDef.ReturnUTC">
+  <short>Indicates if the TDateTime value should be adjusted to the UTC time zone</short>
+</element>
+<element name="ISO8601ToDateDef.aDefault">
+  <short>Default TDateTime value used in the result</short>
+</element>
+
+<element name="TryISO8601ToDate">
+  <short>
+    Attempts to convert an ISO 8601-formatted date/time value to a TDateTime type
+  </short>
+  <descr>
+    <p>
+      TryISO8601ToDate is a Boolean function which attempts to convert an ISO 8601-formatted date/time value to a TDateTime type.
+    </p>
+    <p>
+      <var>DateString</var> contains the ISO 8601 date/time value converted in the function. <var>DateString</var> must contain one of the supported ISO 8601 date/time notations supported in the routine. It is separated into date, time, and time zone values, and is converted by calling both the <var>TryISOStrToDateTime</var> and <var>TryISOTZStrToTZOffset</var> functions. See <link id="TryISOStrToDateTime">TryISOStrToDateTime</link> for more information about supported ISO 8601 notations.
+    </p>
+    <p>
+      <var>ReturnUTC</var> indicates if the native date/time value needs to be adjusted to the UTC (Coordinated Universal Time) time zone. The default value for the argument is <var>True</var>, and causes <var>GetLocalTimeOffset</var> to be called to get and apply the time zone offset for the local computer.
+    </p>
+    <p>
+      <var>ADateTime</var> contains the native <var>TDateTime</var> value for the converted timestamp adjusted to the UTC time zone when <var>ReturnUTC</var> contains <var>True</var>.
+    </p>
+    <p>
+      Use <var>DateToISO8601</var> to convert a native date/time value back to its representation in ISO 8601 notation.
+    </p>
+  </descr>
+  <seealso>
+    <link id="DateToISO8601"/>
+  </seealso>
+</element>
+<element name="TryISO8601ToDate.Result">
+  <short>True if the conversion was successful</short>
+</element>
+<element name="TryISO8601ToDate.DateString">
+  <short>ISO 8601-formatted date/time value converted  in the function</short>
+</element>
+<element name="TryISO8601ToDate.ADateTime">
+  <short>Stores the native date/time value from the conversion</short>
+</element>
+<element name="TryISO8601ToDate.ReturnUTC">
+  <short>Indicates if the native date/time value is adjusted to the UTC time zone</short>
+</element>
+
 </module>
 
 <!-- dateutils -->
dateutils.xml.diff (92,001 bytes)

Michael Van Canneyt

2019-08-25 23:03

administrator   ~0117836

Many thanks for the patch !

Something to watch out for:
It contained a lot of false changes: simple line endings that were different. This makes it difficult to evaluate the patch.

Here you can see how you can let SVN ignore the whitespace changes:
https://stackoverflow.com/questions/1741705/how-to-make-svn-diff-show-only-non-whitespace-line-changes-between-two-revisions

Don Siders

2019-08-26 00:51

reporter   ~0117837

Thanks for the info. Likely caused by using dos2unix before submitting. I'll stop doing that. :)

Issue History

Date Modified Username Field Change
2019-08-25 20:35 Don Siders New Issue
2019-08-25 20:35 Don Siders Status new => assigned
2019-08-25 20:35 Don Siders Assigned To => Michael Van Canneyt
2019-08-25 20:35 Don Siders File Added: dateutils.xml.diff
2019-08-25 23:03 Michael Van Canneyt Status assigned => resolved
2019-08-25 23:03 Michael Van Canneyt Resolution open => fixed
2019-08-25 23:03 Michael Van Canneyt Fixed in Version => 3.3.1
2019-08-25 23:03 Michael Van Canneyt Fixed in Revision => 1641
2019-08-25 23:03 Michael Van Canneyt FPCTarget => 3.2.0
2019-08-25 23:03 Michael Van Canneyt Note Added: 0117836
2019-08-26 00:51 Don Siders Status resolved => closed
2019-08-26 00:51 Don Siders Note Added: 0117837